#! -*- coding: utf-8 -*-
"""
fakedata functions for acomea.soap.models
"""
import datetime
from pysimplesoap.simplexml import SimpleXMLElement


def get_andamento():
    # sample fund: 'EM' (acomea paesi emergenti, classe:'A1')

    data = {'BENCHCODE': u'FTS7ALEM',
            'BENCHCODE_EU': u'0',
            'BENCHDESCR': u'FT/S&P ALL WORLD EMERGING Euro TR ',
            'BENCHDESCR_EU': u'0',
            'BENCHID': 45L,
            'BENCHID_EU': 0L,
            'CLASSE': u'A1',
            'CODFON': u'EM',
            'CodIndice1': u'FTS7ALEM',
            'CodIndice1EU': None,
            'CodIndice2': None,
            'DESCRFON': u'ACOMEA PAESI EMERGENTI CLASSE A1',
            'DTGIRO': datetime.datetime(2013, 4, 23, 0, 0),
            'DTINIZIOVALQUOTA': datetime.datetime(2002, 12, 30, 0, 0),
            'DTVALO': datetime.datetime(2013, 4, 24, 0, 0),
            'Data_Avvio': datetime.datetime(2002, 12, 30, 0, 0),
            'Data_Quota_MAX': datetime.datetime(2007, 10, 30, 0, 0),
            'Data_Quota_MIN': datetime.datetime(2003, 3, 11, 0, 0),
            'DecBenchDescr': u'FT/S&P ALL WORLD EMERGING Euro TR ',
            'FonType': 1,
            'HASCEDOLA': False,
            'HasBenchmark': True,
            'NAV': 10590980.37,
            'NAVGESTIONE': 0.0,
            'NINDCEDOLA': 0L,
            'PercIndice1': 100.0,
            'PercIndice2': 0.0,
            'Perf_BT_Bench1D': 0.04789577878534512,
            'Perf_BT_Bench1M': 0.028731962712380543,
            'Perf_BT_Bench1W': 1.476827411989512,
            'Perf_BT_BenchYTD': -1.299396764895766,
            'Perf_BT_Fondo1D': -0.249027237354082,
            'Perf_BT_Fondo1M': -2.36136502132847,
            'Perf_BT_Fondo1W': 0.865596474661623,
            'Perf_BT_FondoYTD': -0.311090371752998,
            'Perf_COMP_Bench10Anni': 12.911104408733664,
            'Perf_COMP_Bench3Anni': 3.051940241341411,
            'Perf_COMP_Bench5Anni': 3.660922914510212,
            'Perf_COMP_Fondo10Anni': 8.498496693201417,
            'Perf_COMP_Fondo3Anni': 2.686647950078158,
            'Perf_COMP_Fondo5Anni': 0.8186020684418871,
            'Perf_LT_Bench10Anni': 236.7957120161387,
            'Perf_LT_Bench1Anno': 5.0385517934965485,
            'Perf_LT_Bench3Anni': 9.438093581799635,
            'Perf_LT_Bench5Anni': 19.69481991715949,
            'Perf_LT_BenchDalLancio': 230.0897612630381,
            'Perf_LT_Fondo10Anni': 126.067019400353,
            'Perf_LT_Fondo1Anno': 8.00471857094709,
            'Perf_LT_Fondo3Anni': 8.27842540969759,
            'Perf_LT_Fondo5Anni': 4.16057207866083,
            'Perf_LT_FondoDalLancio': 118.364565587734,
            'QUOTA': 6.409,
            'Quota_Avvio': 2.935,
            'Quota_MAX': 7.651,
            'Quota_MIN': 2.66,
            'TOTATT': 11658289.79,
            'TOTLIQ': 1196431.19,
            'TOTPORTIT': 11658289.79,
            'TOTRIMB': 0.0,
            'TOTSOTT': 0.0,
            'TOTVALO': 0.0,
            'dt10A': datetime.datetime(2003, 4, 23, 0, 0),
            'dt1A': datetime.datetime(2012, 4, 23, 0, 0),
            'dt1G': datetime.datetime(2013, 4, 22, 0, 0),
            'dt1M': datetime.datetime(2013, 3, 22, 0, 0),
            'dt1W': datetime.datetime(2013, 4, 16, 0, 0),
            'dt3A': datetime.datetime(2010, 4, 23, 0, 0),
            'dt5A': datetime.datetime(2008, 4, 23, 0, 0),
            'dtIA': datetime.datetime(2012, 12, 28, 0, 0),
            'dtfine': datetime.datetime(2013, 4, 23, 0, 0)}

    return data


def get_serie_storica():
    # sample fund: 'EM' (acomea paesi emergenti, classe:'A1')
    data = [{'data': '2012-10-22T00:00:00+02:00',
             'quota': '6.184',
             'quota_a1': '6.184',
             'quota_a2': '6.272'},
            {'data': '2012-10-23T00:00:00+02:00',
             'quota': '6.171',
             'quota_a1': '6.171',
             'quota_a2': '6.258'},
            {'data': '2012-10-24T00:00:00+02:00',
             'quota': '6.216',
             'quota_a1': '6.216',
             'quota_a2': '6.305'},
            {'data': '2012-10-25T00:00:00+02:00',
             'quota': '6.193',
             'quota_a1': '6.193',
             'quota_a2': '6.281'},
            {'data': '2012-10-26T00:00:00+02:00',
             'quota': '6.125',
             'quota_a1': '6.125',
             'quota_a2': '6.213'},
            {'data': '2012-10-29T00:00:00+01:00',
             'quota': '6.060',
             'quota_a1': '6.060',
             'quota_a2': '6.147'},
            {'data': '2012-10-30T00:00:00+01:00',
             'quota': '6.054',
             'quota_a1': '6.054',
             'quota_a2': '6.141'},
            {'data': '2012-10-31T00:00:00+01:00',
             'quota': '6.053',
             'quota_a1': '6.053',
             'quota_a2': '6.141'},
            {'data': '2012-11-02T00:00:00+01:00',
             'quota': '6.124',
             'quota_a1': '6.124',
             'quota_a2': '6.213'},
            {'data': '2012-11-05T00:00:00+01:00',
             'quota': '6.166',
             'quota_a1': '6.166',
             'quota_a2': '6.256'},
            {'data': '2012-11-06T00:00:00+01:00',
             'quota': '6.195',
             'quota_a1': '6.195',
             'quota_a2': '6.285'},
            {'data': '2012-11-07T00:00:00+01:00',
             'quota': '6.210',
             'quota_a1': '6.210',
             'quota_a2': '6.301'},
            {'data': '2012-11-08T00:00:00+01:00',
             'quota': '6.145',
             'quota_a1': '6.145',
             'quota_a2': '6.235'},
            {'data': '2012-11-09T00:00:00+01:00',
             'quota': '6.148',
             'quota_a1': '6.148',
             'quota_a2': '6.239'},
            {'data': '2012-11-12T00:00:00+01:00',
             'quota': '6.103',
             'quota_a1': '6.103',
             'quota_a2': '6.194'},
            {'data': '2012-11-13T00:00:00+01:00',
             'quota': '6.067',
             'quota_a1': '6.067',
             'quota_a2': '6.157'},
            {'data': '2012-11-14T00:00:00+01:00',
             'quota': '6.086',
             'quota_a1': '6.086',
             'quota_a2': '6.176'},
            {'data': '2012-11-15T00:00:00+01:00',
             'quota': '6.040',
             'quota_a1': '6.040',
             'quota_a2': '6.130'},
            {'data': '2012-11-16T00:00:00+01:00',
             'quota': '6.057',
             'quota_a1': '6.057',
             'quota_a2': '6.147'},
            {'data': '2012-11-19T00:00:00+01:00',
             'quota': '6.100',
             'quota_a1': '6.100',
             'quota_a2': '6.191'},
            {'data': '2012-11-20T00:00:00+01:00',
             'quota': '6.109',
             'quota_a1': '6.109',
             'quota_a2': '6.201'},
            {'data': '2012-11-21T00:00:00+01:00',
             'quota': '6.104',
             'quota_a1': '6.104',
             'quota_a2': '6.196'},
            {'data': '2012-11-22T00:00:00+01:00',
             'quota': '6.140',
             'quota_a1': '6.140',
             'quota_a2': '6.233'},
            {'data': '2012-11-23T00:00:00+01:00',
             'quota': '6.166',
             'quota_a1': '6.166',
             'quota_a2': '6.260'},
            {'data': '2012-11-26T00:00:00+01:00',
             'quota': '6.168',
             'quota_a1': '6.168',
             'quota_a2': '6.262'},
            {'data': '2012-11-27T00:00:00+01:00',
             'quota': '6.178',
             'quota_a1': '6.178',
             'quota_a2': '6.273'},
            {'data': '2012-11-28T00:00:00+01:00',
             'quota': '6.141',
             'quota_a1': '6.141',
             'quota_a2': '6.235'},
            {'data': '2012-11-29T00:00:00+01:00',
             'quota': '6.141',
             'quota_a1': '6.141',
             'quota_a2': '6.235'},
            {'data': '2012-11-30T00:00:00+01:00',
             'quota': '6.142',
             'quota_a1': '6.142',
             'quota_a2': '6.236'},
            {'data': '2012-12-03T00:00:00+01:00',
             'quota': '6.140',
             'quota_a1': '6.140',
             'quota_a2': '6.235'},
            {'data': '2012-12-04T00:00:00+01:00',
             'quota': '6.129',
             'quota_a1': '6.129',
             'quota_a2': '6.224'},
            {'data': '2012-12-05T00:00:00+01:00',
             'quota': '6.183',
             'quota_a1': '6.183',
             'quota_a2': '6.279'},
            {'data': '2012-12-06T00:00:00+01:00',
             'quota': '6.203',
             'quota_a1': '6.203',
             'quota_a2': '6.300'},
            {'data': '2012-12-07T00:00:00+01:00',
             'quota': '6.251',
             'quota_a1': '6.251',
             'quota_a2': '6.348'},
            {'data': '2012-12-10T00:00:00+01:00',
             'quota': '6.302',
             'quota_a1': '6.302',
             'quota_a2': '6.401'},
            {'data': '2012-12-11T00:00:00+01:00',
             'quota': '6.309',
             'quota_a1': '6.309',
             'quota_a2': '6.408'},
            {'data': '2012-12-12T00:00:00+01:00',
             'quota': '6.350',
             'quota_a1': '6.350',
             'quota_a2': '6.450'},
            {'data': '2012-12-13T00:00:00+01:00',
             'quota': '6.341',
             'quota_a1': '6.341',
             'quota_a2': '6.441'},
            {'data': '2012-12-14T00:00:00+01:00',
             'quota': '6.369',
             'quota_a1': '6.369',
             'quota_a2': '6.469'},
            {'data': '2012-12-17T00:00:00+01:00',
             'quota': '6.342',
             'quota_a1': '6.342',
             'quota_a2': '6.443'},
            {'data': '2012-12-18T00:00:00+01:00',
             'quota': '6.334',
             'quota_a1': '6.334',
             'quota_a2': '6.435'},
            {'data': '2012-12-19T00:00:00+01:00',
             'quota': '6.392',
             'quota_a1': '6.392',
             'quota_a2': '6.493'},
            {'data': '2012-12-20T00:00:00+01:00',
             'quota': '6.397',
             'quota_a1': '6.397',
             'quota_a2': '6.499'},
            {'data': '2012-12-21T00:00:00+01:00',
             'quota': '6.393',
             'quota_a1': '6.393',
             'quota_a2': '6.491'},
            {'data': '2012-12-27T00:00:00+01:00',
             'quota': '6.429',
             'quota_a1': '6.429',
             'quota_a2': '6.525'},
            {'data': '2012-12-28T00:00:00+01:00',
             'quota': '6.429',
             'quota_a1': '6.429',
             'quota_a2': '6.525'},
            {'data': '2013-01-02T00:00:00+01:00',
             'quota': '6.577',
             'quota_a1': '6.577',
             'quota_a2': '6.676'},
            {'data': '2013-01-03T00:00:00+01:00',
             'quota': '6.688',
             'quota_a1': '6.688',
             'quota_a2': '6.790'},
            {'data': '2013-01-04T00:00:00+01:00',
             'quota': '6.718',
             'quota_a1': '6.718',
             'quota_a2': '6.817'},
            {'data': '2013-01-07T00:00:00+01:00',
             'quota': '6.730',
             'quota_a1': '6.730',
             'quota_a2': '6.822'},
            {'data': '2013-01-08T00:00:00+01:00',
             'quota': '6.714',
             'quota_a1': '6.714',
             'quota_a2': '6.806'},
            {'data': '2013-01-09T00:00:00+01:00',
             'quota': '6.768',
             'quota_a1': '6.768',
             'quota_a2': '6.861'},
            {'data': '2013-01-10T00:00:00+01:00',
             'quota': '6.747',
             'quota_a1': '6.747',
             'quota_a2': '6.840'},
            {'data': '2013-01-11T00:00:00+01:00',
             'quota': '6.682',
             'quota_a1': '6.682',
             'quota_a2': '6.774'},
            {'data': '2013-01-14T00:00:00+01:00',
             'quota': '6.702',
             'quota_a1': '6.702',
             'quota_a2': '6.795'},
            {'data': '2013-01-15T00:00:00+01:00',
             'quota': '6.713',
             'quota_a1': '6.713',
             'quota_a2': '6.806'},
            {'data': '2013-01-16T00:00:00+01:00',
             'quota': '6.729',
             'quota_a1': '6.729',
             'quota_a2': '6.822'},
            {'data': '2013-01-17T00:00:00+01:00',
             'quota': '6.709',
             'quota_a1': '6.709',
             'quota_a2': '6.803'},
            {'data': '2013-01-18T00:00:00+01:00',
             'quota': '6.775',
             'quota_a1': '6.775',
             'quota_a2': '6.869'},
            {'data': '2013-01-21T00:00:00+01:00',
             'quota': '6.779',
             'quota_a1': '6.779',
             'quota_a2': '6.874'},
            {'data': '2013-01-22T00:00:00+01:00',
             'quota': '6.796',
             'quota_a1': '6.796',
             'quota_a2': '6.892'},
            {'data': '2013-01-23T00:00:00+01:00',
             'quota': '6.793',
             'quota_a1': '6.793',
             'quota_a2': '6.888'},
            {'data': '2013-01-24T00:00:00+01:00',
             'quota': '6.713',
             'quota_a1': '6.713',
             'quota_a2': '6.808'},
            {'data': '2013-01-25T00:00:00+01:00',
             'quota': '6.691',
             'quota_a1': '6.691',
             'quota_a2': '6.790'},
            {'data': '2013-01-28T00:00:00+01:00',
             'quota': '6.669',
             'quota_a1': '6.669',
             'quota_a2': '6.768'},
            {'data': '2013-01-29T00:00:00+01:00',
             'quota': '6.689',
             'quota_a1': '6.689',
             'quota_a2': '6.788'},
            {'data': '2013-01-30T00:00:00+01:00',
             'quota': '6.648',
             'quota_a1': '6.648',
             'quota_a2': '6.747'},
            {'data': '2013-01-31T00:00:00+01:00',
             'quota': '6.608',
             'quota_a1': '6.608',
             'quota_a2': '6.706'},
            {'data': '2013-02-01T00:00:00+01:00',
             'quota': '6.586',
             'quota_a1': '6.586',
             'quota_a2': '6.685'},
            {'data': '2013-02-04T00:00:00+01:00',
             'quota': '6.645',
             'quota_a1': '6.645',
             'quota_a2': '6.745'},
            {'data': '2013-02-05T00:00:00+01:00',
             'quota': '6.636',
             'quota_a1': '6.636',
             'quota_a2': '6.736'},
            {'data': '2013-02-06T00:00:00+01:00',
             'quota': '6.646',
             'quota_a1': '6.646',
             'quota_a2': '6.746'},
            {'data': '2013-02-07T00:00:00+01:00',
             'quota': '6.668',
             'quota_a1': '6.668',
             'quota_a2': '6.769'},
            {'data': '2013-02-08T00:00:00+01:00',
             'quota': '6.664',
             'quota_a1': '6.664',
             'quota_a2': '6.765'},
            {'data': '2013-02-11T00:00:00+01:00',
             'quota': '6.658',
             'quota_a1': '6.658',
             'quota_a2': '6.760'},
            {'data': '2013-02-12T00:00:00+01:00',
             'quota': '6.637',
             'quota_a1': '6.637',
             'quota_a2': '6.739'},
            {'data': '2013-02-13T00:00:00+01:00',
             'quota': '6.681',
             'quota_a1': '6.681',
             'quota_a2': '6.783'},
            {'data': '2013-02-14T00:00:00+01:00',
             'quota': '6.696',
             'quota_a1': '6.696',
             'quota_a2': '6.799'},
            {'data': '2013-02-15T00:00:00+01:00',
             'quota': '6.717',
             'quota_a1': '6.717',
             'quota_a2': '6.821'},
            {'data': '2013-02-18T00:00:00+01:00',
             'quota': '6.719',
             'quota_a1': '6.719',
             'quota_a2': '6.823'},
            {'data': '2013-02-19T00:00:00+01:00',
             'quota': '6.722',
             'quota_a1': '6.722',
             'quota_a2': '6.827'},
            {'data': '2013-02-20T00:00:00+01:00',
             'quota': '6.709',
             'quota_a1': '6.709',
             'quota_a2': '6.814'},
            {'data': '2013-02-21T00:00:00+01:00',
             'quota': '6.650',
             'quota_a1': '6.650',
             'quota_a2': '6.753'},
            {'data': '2013-02-22T00:00:00+01:00',
             'quota': '6.684',
             'quota_a1': '6.684',
             'quota_a2': '6.788'},
            {'data': '2013-02-25T00:00:00+01:00',
             'quota': '6.672',
             'quota_a1': '6.672',
             'quota_a2': '6.777'},
            {'data': '2013-02-26T00:00:00+01:00',
             'quota': '6.657',
             'quota_a1': '6.657',
             'quota_a2': '6.762'},
            {'data': '2013-02-27T00:00:00+01:00',
             'quota': '6.667',
             'quota_a1': '6.667',
             'quota_a2': '6.772'},
            {'data': '2013-02-28T00:00:00+01:00',
             'quota': '6.726',
             'quota_a1': '6.726',
             'quota_a2': '6.832'},
            {'data': '2013-03-01T00:00:00+01:00',
             'quota': '6.732',
             'quota_a1': '6.732',
             'quota_a2': '6.838'},
            {'data': '2013-03-04T00:00:00+01:00',
             'quota': '6.679',
             'quota_a1': '6.679',
             'quota_a2': '6.785'},
            {'data': '2013-03-05T00:00:00+01:00',
             'quota': '6.716',
             'quota_a1': '6.716',
             'quota_a2': '6.823'},
            {'data': '2013-03-06T00:00:00+01:00',
             'quota': '6.780',
             'quota_a1': '6.780',
             'quota_a2': '6.889'},
            {'data': '2013-03-07T00:00:00+01:00',
             'quota': '6.731',
             'quota_a1': '6.731',
             'quota_a2': '6.838'},
            {'data': '2013-03-08T00:00:00+01:00',
             'quota': '6.787',
             'quota_a1': '6.787',
             'quota_a2': '6.896'},
            {'data': '2013-03-11T00:00:00+01:00',
             'quota': '6.772',
             'quota_a1': '6.772',
             'quota_a2': '6.881'},
            {'data': '2013-03-12T00:00:00+01:00',
             'quota': '6.728',
             'quota_a1': '6.728',
             'quota_a2': '6.837'},
            {'data': '2013-03-13T00:00:00+01:00',
             'quota': '6.735',
             'quota_a1': '6.735',
             'quota_a2': '6.844'},
            {'data': '2013-03-14T00:00:00+01:00',
             'quota': '6.720',
             'quota_a1': '6.720',
             'quota_a2': '6.829'},
            {'data': '2013-03-15T00:00:00+01:00',
             'quota': '6.673',
             'quota_a1': '6.673',
             'quota_a2': '6.782'},
            {'data': '2013-03-18T00:00:00+01:00',
             'quota': '6.641',
             'quota_a1': '6.641',
             'quota_a2': '6.750'},
            {'data': '2013-03-19T00:00:00+01:00',
             'quota': '6.603',
             'quota_a1': '6.603',
             'quota_a2': '6.711'},
            {'data': '2013-03-20T00:00:00+01:00',
             'quota': '6.592',
             'quota_a1': '6.592',
             'quota_a2': '6.700'},
            {'data': '2013-03-21T00:00:00+01:00',
             'quota': '6.596',
             'quota_a1': '6.596',
             'quota_a2': '6.704'},
            {'data': '2013-03-22T00:00:00+01:00',
             'quota': '6.564',
             'quota_a1': '6.564',
             'quota_a2': '6.672'},
            {'data': '2013-03-25T00:00:00+01:00',
             'quota': '6.603',
             'quota_a1': '6.603',
             'quota_a2': '6.713'},
            {'data': '2013-03-26T00:00:00+01:00',
             'quota': '6.552',
             'quota_a1': '6.552',
             'quota_a2': '6.660'},
            {'data': '2013-03-27T00:00:00+01:00',
             'quota': '6.548',
             'quota_a1': '6.548',
             'quota_a2': '6.657'},
            {'data': '2013-03-28T00:00:00+01:00',
             'quota': '6.535',
             'quota_a1': '6.535',
             'quota_a2': '6.644'},
            {'data': '2013-04-02T00:00:00+02:00',
             'quota': '6.499',
             'quota_a1': '6.499',
             'quota_a2': '6.608'},
            {'data': '2013-04-03T00:00:00+02:00',
             'quota': '6.464',
             'quota_a1': '6.464',
             'quota_a2': '6.573'},
            {'data': '2013-04-04T00:00:00+02:00',
             'quota': '6.453',
             'quota_a1': '6.453',
             'quota_a2': '6.561'},
            {'data': '2013-04-05T00:00:00+02:00',
             'quota': '6.355',
             'quota_a1': '6.355',
             'quota_a2': '6.463'},
            {'data': '2013-04-08T00:00:00+02:00',
             'quota': '6.357',
             'quota_a1': '6.357',
             'quota_a2': '6.465'},
            {'data': '2013-04-09T00:00:00+02:00',
             'quota': '6.414',
             'quota_a1': '6.414',
             'quota_a2': '6.523'},
            {'data': '2013-04-10T00:00:00+02:00',
             'quota': '6.460',
             'quota_a1': '6.460',
             'quota_a2': '6.570'},
            {'data': '2013-04-11T00:00:00+02:00',
             'quota': '6.479',
             'quota_a1': '6.479',
             'quota_a2': '6.590'},
            {'data': '2013-04-12T00:00:00+02:00',
             'quota': '6.462',
             'quota_a1': '6.462',
             'quota_a2': '6.573'},
            {'data': '2013-04-15T00:00:00+02:00',
             'quota': '6.366',
             'quota_a1': '6.366',
             'quota_a2': '6.475'},
            {'data': '2013-04-16T00:00:00+02:00',
             'quota': '6.354',
             'quota_a1': '6.354',
             'quota_a2': '6.463'},
            {'data': '2013-04-17T00:00:00+02:00',
             'quota': '6.353',
             'quota_a1': '6.353',
             'quota_a2': '6.463'},
            {'data': '2013-04-18T00:00:00+02:00',
             'quota': '6.346',
             'quota_a1': '6.346',
             'quota_a2': '6.455'},
            {'data': '2013-04-19T00:00:00+02:00',
             'quota': '6.406',
             'quota_a1': '6.406',
             'quota_a2': '6.517'},
            {'data': '2013-04-22T00:00:00+02:00',
             'quota': '6.425',
             'quota_a1': '6.425',
             'quota_a2': '6.537'},
            {'data': '2013-04-23T00:00:00+02:00',
             'quota': '6.409',
             'quota_a1': '6.409',
             'quota_a2': '6.520'}]
    return data


def get_rendimenti_annui():
    # sample fund: 'EM' (acomea paesi emergenti, classe:'A1')
    data = [{'anno': '2003',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '24.262827221266271',
             'valf': '22.4190800681431'},
            {'anno': '2004',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '15.095391535983538',
             'valf': '4.03562482605067'},
            {'anno': '2005',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '48.852874548019322',
             'valf': '41.2520064205458'},
            {'anno': '2006',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '16.595062047006138',
             'valf': '14.0909090909091'},
            {'anno': '2007',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '22.283441520229985',
             'valf': '18.0776892430279'},
            {'anno': '2008',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '-46.088746398405043',
             'valf': '-46.5485730352875'},
            {'anno': '2009',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '66.602875323920614',
             'valf': '40.189374013676996'},
            {'anno': '2010',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '25.525090719534106',
             'valf': '25.8161350844278'},
            {'anno': '2011',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '-15.607118704049904',
             'valf': '-16.2093647479869'},
            {'anno': '2012',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '15.800321003866657',
             'valf': '14.4153764014949'},
            {'anno': '2013',
             'codfon': 'EM',
             'data_aggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
             'fondo': 'ACOMEA PAESI EMERGENTI CLASSE A1',
             'valb': '-1.2993967648957661',
             'valf': '-0.311090371752998'}]

    return data


def get_grafico():
    # sample fund: 'EM' (acomea paesi emergenti, classe:'A1')
    data = {
        'PerfF': 15.00089718284585,
        'HasBenchmark': True,
        'PerfB': 16.74863998807674,
        'BenchCode': 'FTS7ALEM',
        'Sottotitolo': '   ',
        'DataEffettiva2': datetime.datetime(2013, 4, 23, 0, 0),
        'Legenda': SimpleXMLElement(
            '<Legenda><xs:schema id="NewDataSet" ''xmlns="" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:xs="http://www.w3.org/2001/XMLSchema"><xs:element msdata:IsDataSet="true" msdata:UseCurrentLocale="true" name="NewDataSet"><xs:complexType><xs:choice maxOccurs="unbounded" minOccurs="0"><xs:element name="Legenda"><xs:complexType><xs:sequence><xs:element minOccurs="0" name="Voce" type="xs:string"/><xs:element default="0" minOccurs="0" name="Val" type="xs:double"/><xs:element default="0" minOccurs="0" name="Progr" type="xs:short"/></xs:sequence></xs:complexType></xs:element></xs:choice></xs:complexType></xs:element></xs:schema><diffgr:diffgram xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata"><NewDataSet xmlns=""><Legenda diffgr:hasChanges="inserted" diffgr:id="Legenda1" msdata:rowOrder="0"><Voce>ACOMEA PAESI EMERGENTI CLASSE A1</Voce><Val>15.000897182845851</Val><Progr>0</Progr></Legenda><Legenda diffgr:hasChanges="inserted" diffgr:id="Legenda2" msdata:rowOrder="1"><Voce>FT/S&amp;P ALL WORLD EMERGING Euro TR </Voce><Val>16.748639988076739</Val><Progr>1</Progr></Legenda></NewDataSet></diffgr:diffgram></Legenda>'
        ),
        'StartValB': 5.573,
        'StartValF': 5.573,
        'SeriesData': [
            {'data': '2011-10-26T00:00:00+02:00', 'valb': 5.573, 'valf': 5.573},
            {'data': '2011-10-27T00:00:00+02:00', 'valb': 5.631, 'valf': 5.666},
            {'data': '2011-10-28T00:00:00+02:00', 'valb': 5.716, 'valf': 5.708},
            {'data': '2011-10-29T00:00:00+02:00', 'valb': 5.716, 'valf': 5.708},
            {'data': '2011-10-30T00:00:00+02:00', 'valb': 5.716, 'valf': 5.708},
            {'data': '2011-10-31T00:00:00+01:00', 'valb': 5.727, 'valf': 5.712},
            {'data': '2011-11-01T00:00:00+01:00', 'valb': 5.727, 'valf': 5.712},
            {'data': '2011-11-02T00:00:00+01:00', 'valb': 5.677, 'valf': 5.632},
            {'data': '2011-11-03T00:00:00+01:00', 'valb': 5.71, 'valf': 5.66},
            {'data': '2011-11-04T00:00:00+01:00', 'valb': 5.757, 'valf': 5.695},
            {'data': '2011-11-05T00:00:00+01:00', 'valb': 5.757, 'valf': 5.695},
            {'data': '2011-11-06T00:00:00+01:00', 'valb': 5.757, 'valf': 5.695},
            {'data': '2011-11-07T00:00:00+01:00', 'valb': 5.781, 'valf': 5.691},
            {'data': '2011-11-08T00:00:00+01:00', 'valb': 5.778, 'valf': 5.71},
            {'data': '2011-11-09T00:00:00+01:00', 'valb': 5.787, 'valf': 5.694},
            {'data': '2011-11-10T00:00:00+01:00', 'valb': 5.685, 'valf': 5.624},
            {'data': '2011-11-11T00:00:00+01:00', 'valb': 5.705, 'valf': 5.643},
            {'data': '2011-11-12T00:00:00+01:00', 'valb': 5.705, 'valf': 5.643},
            {'data': '2011-11-13T00:00:00+01:00', 'valb': 5.705, 'valf': 5.643},
            {'data': '2011-11-14T00:00:00+01:00', 'valb': 5.758, 'valf': 5.693},
            {'data': '2011-11-15T00:00:00+01:00', 'valb': 5.763, 'valf': 5.675},
            {'data': '2011-11-16T00:00:00+01:00', 'valb': 5.726, 'valf': 5.64},
            {'data': '2011-11-17T00:00:00+01:00', 'valb': 5.661, 'valf': 5.61},
            {'data': '2011-11-18T00:00:00+01:00', 'valb': 5.566, 'valf': 5.554},
            {'data': '2011-11-19T00:00:00+01:00', 'valb': 5.566, 'valf': 5.554},
            {'data': '2011-11-20T00:00:00+01:00', 'valb': 5.566, 'valf': 5.554},
            {'data': '2011-11-21T00:00:00+01:00', 'valb': 5.43, 'valf': 5.463},
            {'data': '2011-11-22T00:00:00+01:00', 'valb': 5.408, 'valf': 5.444},
            {'data': '2011-11-23T00:00:00+01:00', 'valb': 5.331, 'valf': 5.394},
            {'data': '2011-11-24T00:00:00+01:00', 'valb': 5.364, 'valf': 5.398},
            {'data': '2011-11-25T00:00:00+01:00', 'valb': 5.322, 'valf': 5.361},
            {'data': '2011-11-26T00:00:00+01:00', 'valb': 5.322, 'valf': 5.361},
            {'data': '2011-11-27T00:00:00+01:00', 'valb': 5.322, 'valf': 5.361},
            {'data': '2011-11-28T00:00:00+01:00', 'valb': 5.434, 'valf': 5.443},
            {'data': '2011-11-29T00:00:00+01:00', 'valb': 5.452, 'valf': 5.488},
            {'data': '2011-11-30T00:00:00+01:00', 'valb': 5.543, 'valf': 5.55},
            {'data': '2011-12-01T00:00:00+01:00', 'valb': 5.692, 'valf': 5.623},
            {'data': '2011-12-02T00:00:00+01:00', 'valb': 5.734, 'valf': 5.666},
            {'data': '2011-12-03T00:00:00+01:00', 'valb': 5.734, 'valf': 5.666},
            {'data': '2011-12-04T00:00:00+01:00', 'valb': 5.734, 'valf': 5.666},
            {'data': '2011-12-05T00:00:00+01:00', 'valb': 5.752, 'valf': 5.674},
            {'data': '2011-12-06T00:00:00+01:00', 'valb': 5.721, 'valf': 5.651},
            {'data': '2011-12-07T00:00:00+01:00', 'valb': 5.743, 'valf': 5.66},
            {'data': '2011-12-08T00:00:00+01:00', 'valb': 5.743, 'valf': 5.66},
            {'data': '2011-12-09T00:00:00+01:00', 'valb': 5.629, 'valf': 5.585},
            {'data': '2011-12-10T00:00:00+01:00', 'valb': 5.629, 'valf': 5.585},
            {'data': '2011-12-11T00:00:00+01:00', 'valb': 5.629, 'valf': 5.585},
            {'data': '2011-12-12T00:00:00+01:00', 'valb': 5.61, 'valf': 5.566},
            {'data': '2011-12-13T00:00:00+01:00', 'valb': 5.636, 'valf': 5.57},
            {'data': '2011-12-14T00:00:00+01:00', 'valb': 5.604, 'valf': 5.563},
            {'data': '2011-12-15T00:00:00+01:00', 'valb': 5.561, 'valf': 5.537},
            {'data': '2011-12-16T00:00:00+01:00', 'valb': 5.572, 'valf': 5.546},
            {'data': '2011-12-17T00:00:00+01:00', 'valb': 5.572, 'valf': 5.546},
            {'data': '2011-12-18T00:00:00+01:00', 'valb': 5.572, 'valf': 5.546},
            {'data': '2011-12-19T00:00:00+01:00', 'valb': 5.522, 'valf': 5.494},
            {'data': '2011-12-20T00:00:00+01:00', 'valb': 5.551, 'valf': 5.518},
            {'data': '2011-12-21T00:00:00+01:00', 'valb': 5.641, 'valf': 5.573},
            {'data': '2011-12-22T00:00:00+01:00', 'valb': 5.668, 'valf': 5.58},
            {'data': '2011-12-23T00:00:00+01:00', 'valb': 5.717, 'valf': 5.618},
            {'data': '2011-12-24T00:00:00+01:00', 'valb': 5.717, 'valf': 5.618},
            {'data': '2011-12-25T00:00:00+01:00', 'valb': 5.717, 'valf': 5.618},
            {'data': '2011-12-26T00:00:00+01:00', 'valb': 5.717, 'valf': 5.618},
            {'data': '2011-12-27T00:00:00+01:00', 'valb': 5.7, 'valf': 5.605},
            {'data': '2011-12-28T00:00:00+01:00', 'valb': 5.682, 'valf': 5.59},
            {'data': '2011-12-29T00:00:00+01:00', 'valb': 5.703, 'valf': 5.591},
            {'data': '2011-12-30T00:00:00+01:00', 'valb': 5.693, 'valf': 5.619},
            {'data': '2011-12-31T00:00:00+01:00', 'valb': 5.693, 'valf': 5.619},
            {'data': '2012-01-01T00:00:00+01:00', 'valb': 5.693, 'valf': 5.619},
            {'data': '2012-01-02T00:00:00+01:00', 'valb': 5.695, 'valf': 5.63},
            {'data': '2012-01-03T00:00:00+01:00', 'valb': 5.796, 'valf': 5.66},
            {'data': '2012-01-04T00:00:00+01:00', 'valb': 5.853, 'valf': 5.7},
            {'data': '2012-01-05T00:00:00+01:00', 'valb': 5.876, 'valf': 5.701},
            {'data': '2012-01-06T00:00:00+01:00', 'valb': 5.876, 'valf': 5.701},
            {'data': '2012-01-07T00:00:00+01:00', 'valb': 5.876, 'valf': 5.701},
            {'data': '2012-01-08T00:00:00+01:00', 'valb': 5.876, 'valf': 5.701},
            {'data': '2012-01-09T00:00:00+01:00', 'valb': 5.925, 'valf': 5.708},
            {'data': '2012-01-10T00:00:00+01:00', 'valb': 6.022, 'valf': 5.764},
            {'data': '2012-01-11T00:00:00+01:00', 'valb': 6.065, 'valf': 5.794},
            {'data': '2012-01-12T00:00:00+01:00', 'valb': 6.041, 'valf': 5.792},
            {'data': '2012-01-13T00:00:00+01:00', 'valb': 6.084, 'valf': 5.822},
            {'data': '2012-01-14T00:00:00+01:00', 'valb': 6.084, 'valf': 5.822},
            {'data': '2012-01-15T00:00:00+01:00', 'valb': 6.084, 'valf': 5.822},
            {'data': '2012-01-16T00:00:00+01:00', 'valb': 6.093, 'valf': 5.803},
            {'data': '2012-01-17T00:00:00+01:00', 'valb': 6.179, 'valf': 5.857},
            {'data': '2012-01-18T00:00:00+01:00', 'valb': 6.199, 'valf': 5.883},
            {'data': '2012-01-19T00:00:00+01:00', 'valb': 6.218, 'valf': 5.916},
            {'data': '2012-01-20T00:00:00+01:00', 'valb': 6.209, 'valf': 5.951},
            {'data': '2012-01-21T00:00:00+01:00', 'valb': 6.209, 'valf': 5.951},
            {'data': '2012-01-22T00:00:00+01:00', 'valb': 6.209, 'valf': 5.951},
            {'data': '2012-01-23T00:00:00+01:00', 'valb': 6.184, 'valf': 5.978},
            {'data': '2012-01-24T00:00:00+01:00', 'valb': 6.203, 'valf': 5.952},
            {'data': '2012-01-25T00:00:00+01:00', 'valb': 6.211, 'valf': 6.004},
            {'data': '2012-01-26T00:00:00+01:00', 'valb': 6.229, 'valf': 6.053},
            {'data': '2012-01-27T00:00:00+01:00', 'valb': 6.252, 'valf': 6.039},
            {'data': '2012-01-28T00:00:00+01:00', 'valb': 6.252, 'valf': 6.039},
            {'data': '2012-01-29T00:00:00+01:00', 'valb': 6.252, 'valf': 6.039},
            {'data': '2012-01-30T00:00:00+01:00', 'valb': 6.207, 'valf': 5.994},
            {'data': '2012-01-31T00:00:00+01:00', 'valb': 6.302, 'valf': 6.07},
            {'data': '2012-02-01T00:00:00+01:00', 'valb': 6.329, 'valf': 6.083},
            {'data': '2012-02-02T00:00:00+01:00', 'valb': 6.419, 'valf': 6.142},
            {'data': '2012-02-03T00:00:00+01:00', 'valb': 6.487, 'valf': 6.186},
            {'data': '2012-02-04T00:00:00+01:00', 'valb': 6.487, 'valf': 6.186},
            {'data': '2012-02-05T00:00:00+01:00', 'valb': 6.487, 'valf': 6.186},
            {'data': '2012-02-06T00:00:00+01:00', 'valb': 6.502, 'valf': 6.197},
            {'data': '2012-02-07T00:00:00+01:00', 'valb': 6.423, 'valf': 6.167},
            {'data': '2012-02-08T00:00:00+01:00', 'valb': 6.483, 'valf': 6.215},
            {'data': '2012-02-09T00:00:00+01:00', 'valb': 6.457, 'valf': 6.235},
            {'data': '2012-02-10T00:00:00+01:00', 'valb': 6.399, 'valf': 6.201},
            {'data': '2012-02-11T00:00:00+01:00', 'valb': 6.399, 'valf': 6.201},
            {'data': '2012-02-12T00:00:00+01:00', 'valb': 6.399, 'valf': 6.201},
            {'data': '2012-02-13T00:00:00+01:00', 'valb': 6.459, 'valf': 6.233},
            {'data': '2012-02-14T00:00:00+01:00', 'valb': 6.461, 'valf': 6.229},
            {'data': '2012-02-15T00:00:00+01:00', 'valb': 6.555, 'valf': 6.233},
            {'data': '2012-02-16T00:00:00+01:00', 'valb': 6.529, 'valf': 6.218},
            {'data': '2012-02-17T00:00:00+01:00', 'valb': 6.541, 'valf': 6.294},
            {'data': '2012-02-18T00:00:00+01:00', 'valb': 6.541, 'valf': 6.294},
            {'data': '2012-02-19T00:00:00+01:00', 'valb': 6.541, 'valf': 6.294},
            {'data': '2012-02-20T00:00:00+01:00', 'valb': 6.519, 'valf': 6.307},
            {'data': '2012-02-21T00:00:00+01:00', 'valb': 6.507, 'valf': 6.283},
            {'data': '2012-02-22T00:00:00+01:00', 'valb': 6.511, 'valf': 6.242},
            {'data': '2012-02-23T00:00:00+01:00', 'valb': 6.458, 'valf': 6.231},
            {'data': '2012-02-24T00:00:00+01:00', 'valb': 6.432, 'valf': 6.205},
            {'data': '2012-02-25T00:00:00+01:00', 'valb': 6.432, 'valf': 6.205},
            {'data': '2012-02-26T00:00:00+01:00', 'valb': 6.432, 'valf': 6.205},
            {'data': '2012-02-27T00:00:00+01:00', 'valb': 6.404, 'valf': 6.206},
            {'data': '2012-02-28T00:00:00+01:00', 'valb': 6.463, 'valf': 6.209},
            {'data': '2012-02-29T00:00:00+01:00', 'valb': 6.539, 'valf': 6.27},
            {'data': '2012-03-01T00:00:00+01:00', 'valb': 6.548, 'valf': 6.276},
            {'data': '2012-03-02T00:00:00+01:00', 'valb': 6.625, 'valf': 6.343},
            {'data': '2012-03-03T00:00:00+01:00', 'valb': 6.625, 'valf': 6.343},
            {'data': '2012-03-04T00:00:00+01:00', 'valb': 6.625, 'valf': 6.343},
            {'data': '2012-03-05T00:00:00+01:00', 'valb': 6.523, 'valf': 6.28},
            {'data': '2012-03-06T00:00:00+01:00', 'valb': 6.423, 'valf': 6.229},
            {'data': '2012-03-07T00:00:00+01:00', 'valb': 6.405, 'valf': 6.2},
            {'data': '2012-03-08T00:00:00+01:00', 'valb': 6.415, 'valf': 6.244},
            {'data': '2012-03-09T00:00:00+01:00', 'valb': 6.533, 'valf': 6.315},
            {'data': '2012-03-10T00:00:00+01:00', 'valb': 6.533, 'valf': 6.315},
            {'data': '2012-03-11T00:00:00+01:00', 'valb': 6.533, 'valf': 6.315},
            {'data': '2012-03-12T00:00:00+01:00', 'valb': 6.466, 'valf': 6.265},
            {'data': '2012-03-13T00:00:00+01:00', 'valb': 6.584, 'valf': 6.311},
            {'data': '2012-03-14T00:00:00+01:00', 'valb': 6.615, 'valf': 6.354},
            {'data': '2012-03-15T00:00:00+01:00', 'valb': 6.579, 'valf': 6.355},
            {'data': '2012-03-16T00:00:00+01:00', 'valb': 6.515, 'valf': 6.353},
            {'data': '2012-03-17T00:00:00+01:00', 'valb': 6.515, 'valf': 6.353},
            {'data': '2012-03-18T00:00:00+01:00', 'valb': 6.515, 'valf': 6.353},
            {'data': '2012-03-19T00:00:00+01:00', 'valb': 6.456, 'valf': 6.342},
            {'data': '2012-03-20T00:00:00+01:00', 'valb': 6.397, 'valf': 6.299},
            {'data': '2012-03-21T00:00:00+01:00', 'valb': 6.412, 'valf': 6.281},
            {'data': '2012-03-22T00:00:00+01:00', 'valb': 6.35, 'valf': 6.227},
            {'data': '2012-03-23T00:00:00+01:00', 'valb': 6.332, 'valf': 6.214},
            {'data': '2012-03-24T00:00:00+01:00', 'valb': 6.332, 'valf': 6.214},
            {'data': '2012-03-25T00:00:00+01:00', 'valb': 6.332, 'valf': 6.214},
            {'data': '2012-03-26T00:00:00+02:00', 'valb': 6.333, 'valf': 6.228},
            {'data': '2012-03-27T00:00:00+02:00', 'valb': 6.389, 'valf': 6.258},
            {'data': '2012-03-28T00:00:00+02:00', 'valb': 6.33, 'valf': 6.197},
            {'data': '2012-03-29T00:00:00+02:00', 'valb': 6.269, 'valf': 6.112},
            {'data': '2012-03-30T00:00:00+02:00', 'valb': 6.312, 'valf': 6.122},
            {'data': '2012-03-31T00:00:00+02:00', 'valb': 6.312, 'valf': 6.122},
            {'data': '2012-04-01T00:00:00+02:00', 'valb': 6.312, 'valf': 6.122},
            {'data': '2012-04-02T00:00:00+02:00', 'valb': 6.349, 'valf': 6.133},
            {'data': '2012-04-03T00:00:00+02:00', 'valb': 6.361, 'valf': 6.157},
            {'data': '2012-04-04T00:00:00+02:00', 'valb': 6.357, 'valf': 6.147},
            {'data': '2012-04-05T00:00:00+02:00', 'valb': 6.375, 'valf': 6.138},
            {'data': '2012-04-06T00:00:00+02:00', 'valb': 6.375, 'valf': 6.138},
            {'data': '2012-04-07T00:00:00+02:00', 'valb': 6.375, 'valf': 6.138},
            {'data': '2012-04-08T00:00:00+02:00', 'valb': 6.375, 'valf': 6.138},
            {'data': '2012-04-09T00:00:00+02:00', 'valb': 6.375, 'valf': 6.138},
            {'data': '2012-04-10T00:00:00+02:00', 'valb': 6.247, 'valf': 6.068},
            {'data': '2012-04-11T00:00:00+02:00', 'valb': 6.232, 'valf': 6.029},
            {'data': '2012-04-12T00:00:00+02:00', 'valb': 6.276, 'valf': 6.036},
            {'data': '2012-04-13T00:00:00+02:00', 'valb': 6.316, 'valf': 6.066},
            {'data': '2012-04-14T00:00:00+02:00', 'valb': 6.316, 'valf': 6.066},
            {'data': '2012-04-15T00:00:00+02:00', 'valb': 6.316, 'valf': 6.066},
            {'data': '2012-04-16T00:00:00+02:00', 'valb': 6.291, 'valf': 6.044},
            {'data': '2012-04-17T00:00:00+02:00', 'valb': 6.268, 'valf': 6.031},
            {'data': '2012-04-18T00:00:00+02:00', 'valb': 6.284, 'valf': 6.041},
            {'data': '2012-04-19T00:00:00+02:00', 'valb': 6.272, 'valf': 6.016},
            {'data': '2012-04-20T00:00:00+02:00', 'valb': 6.251, 'valf': 6.001},
            {'data': '2012-04-21T00:00:00+02:00', 'valb': 6.251, 'valf': 6.001},
            {'data': '2012-04-22T00:00:00+02:00', 'valb': 6.251, 'valf': 6.001},
            {'data': '2012-04-23T00:00:00+02:00', 'valb': 6.194, 'valf': 5.934},
            {'data': '2012-04-24T00:00:00+02:00', 'valb': 6.184, 'valf': 5.919},
            {'data': '2012-04-25T00:00:00+02:00', 'valb': 6.184, 'valf': 5.919},
            {'data': '2012-04-26T00:00:00+02:00', 'valb': 6.195, 'valf': 5.919},
            {'data': '2012-04-27T00:00:00+02:00', 'valb': 6.198, 'valf': 5.934},
            {'data': '2012-04-28T00:00:00+02:00', 'valb': 6.198, 'valf': 5.934},
            {'data': '2012-04-29T00:00:00+02:00', 'valb': 6.198, 'valf': 5.934},
            {'data': '2012-04-30T00:00:00+02:00', 'valb': 6.244, 'valf': 5.937},
            {'data': '2012-05-01T00:00:00+02:00', 'valb': 6.244, 'valf': 5.937},
            {'data': '2012-05-02T00:00:00+02:00', 'valb': 6.3, 'valf': 5.949},
            {'data': '2012-05-03T00:00:00+02:00', 'valb': 6.261, 'valf': 5.94},
            {'data': '2012-05-04T00:00:00+02:00', 'valb': 6.21, 'valf': 5.908},
            {'data': '2012-05-05T00:00:00+02:00', 'valb': 6.21, 'valf': 5.908},
            {'data': '2012-05-06T00:00:00+02:00', 'valb': 6.21, 'valf': 5.908},
            {'data': '2012-05-07T00:00:00+02:00', 'valb': 6.197, 'valf': 5.821},
            {'data': '2012-05-08T00:00:00+02:00', 'valb': 6.146, 'valf': 5.776},
            {'data': '2012-05-09T00:00:00+02:00', 'valb': 6.084, 'valf': 5.713},
            {'data': '2012-05-10T00:00:00+02:00', 'valb': 6.097, 'valf': 5.746},
            {'data': '2012-05-11T00:00:00+02:00', 'valb': 6.055, 'valf': 5.674},
            {'data': '2012-05-12T00:00:00+02:00', 'valb': 6.055, 'valf': 5.674},
            {'data': '2012-05-14T00:00:00+02:00', 'valb': 5.976, 'valf': 5.597},
            {'data': '2012-05-15T00:00:00+02:00', 'valb': 5.976, 'valf': 5.541},
            {'data': '2012-05-16T00:00:00+02:00', 'valb': 5.886, 'valf': 5.436},
            {'data': '2012-05-17T00:00:00+02:00', 'valb': 5.868, 'valf': 5.401},
            {'data': '2012-05-18T00:00:00+02:00', 'valb': 5.805, 'valf': 5.358},
            {'data': '2012-05-19T00:00:00+02:00', 'valb': 5.805, 'valf': 5.358},
            {'data': '2012-05-20T00:00:00+02:00', 'valb': 5.805, 'valf': 5.358},
            {'data': '2012-05-21T00:00:00+02:00', 'valb': 5.821, 'valf': 5.345},
            {'data': '2012-05-22T00:00:00+02:00', 'valb': 5.847, 'valf': 5.383},
            {'data': '2012-05-23T00:00:00+02:00', 'valb': 5.775, 'valf': 5.324},
            {'data': '2012-05-24T00:00:00+02:00', 'valb': 5.823, 'valf': 5.309},
            {'data': '2012-05-25T00:00:00+02:00', 'valb': 5.859, 'valf': 5.323},
            {'data': '2012-05-26T00:00:00+02:00', 'valb': 5.859, 'valf': 5.323},
            {'data': '2012-05-27T00:00:00+02:00', 'valb': 5.859, 'valf': 5.323},
            {'data': '2012-05-28T00:00:00+02:00', 'valb': 5.907, 'valf': 5.365},
            {'data': '2012-05-29T00:00:00+02:00', 'valb': 5.967, 'valf': 5.401},
            {'data': '2012-05-30T00:00:00+02:00', 'valb': 5.933, 'valf': 5.365},
            {'data': '2012-05-31T00:00:00+02:00', 'valb': 5.948, 'valf': 5.358},
            {'data': '2012-06-01T00:00:00+02:00', 'valb': 5.857, 'valf': 5.276},
            {'data': '2012-06-02T00:00:00+02:00', 'valb': 5.857, 'valf': 5.276},
            {'data': '2012-06-03T00:00:00+02:00', 'valb': 5.857, 'valf': 5.276},
            {'data': '2012-06-04T00:00:00+02:00', 'valb': 5.749, 'valf': 5.192},
            {'data': '2012-06-05T00:00:00+02:00', 'valb': 5.784, 'valf': 5.189},
            {'data': '2012-06-06T00:00:00+02:00', 'valb': 5.901, 'valf': 5.248},
            {'data': '2012-06-07T00:00:00+02:00', 'valb': 5.91, 'valf': 5.295},
            {'data': '2012-06-08T00:00:00+02:00', 'valb': 5.903, 'valf': 5.314},
            {'data': '2012-06-09T00:00:00+02:00', 'valb': 5.903, 'valf': 5.314},
            {'data': '2012-06-10T00:00:00+02:00', 'valb': 5.903, 'valf': 5.314},
            {'data': '2012-06-11T00:00:00+02:00', 'valb': 5.917, 'valf': 5.316},
            {'data': '2012-06-12T00:00:00+02:00', 'valb': 5.945, 'valf': 5.314},
            {'data': '2012-06-13T00:00:00+02:00', 'valb': 5.935, 'valf': 5.301},
            {'data': '2012-06-14T00:00:00+02:00', 'valb': 5.879, 'valf': 5.33},
            {'data': '2012-06-15T00:00:00+02:00', 'valb': 5.96, 'valf': 5.424},
            {'data': '2012-06-16T00:00:00+02:00', 'valb': 5.96, 'valf': 5.424},
            {'data': '2012-06-17T00:00:00+02:00', 'valb': 5.96, 'valf': 5.424},
            {'data': '2012-06-18T00:00:00+02:00', 'valb': 6.019, 'valf': 5.465},
            {'data': '2012-06-19T00:00:00+02:00', 'valb': 6.05, 'valf': 5.549},
            {'data': '2012-06-20T00:00:00+02:00', 'valb': 6.064, 'valf': 5.577},
            {'data': '2012-06-21T00:00:00+02:00', 'valb': 6.008, 'valf': 5.576},
            {'data': '2012-06-22T00:00:00+02:00', 'valb': 5.961, 'valf': 5.528},
            {'data': '2012-06-23T00:00:00+02:00', 'valb': 5.961, 'valf': 5.528},
            {'data': '2012-06-24T00:00:00+02:00', 'valb': 5.961, 'valf': 5.528},
            {'data': '2012-06-25T00:00:00+02:00', 'valb': 5.908, 'valf': 5.405},
            {'data': '2012-06-26T00:00:00+02:00', 'valb': 5.934, 'valf': 5.408},
            {'data': '2012-06-27T00:00:00+02:00', 'valb': 5.982, 'valf': 5.419},
            {'data': '2012-06-28T00:00:00+02:00', 'valb': 5.949, 'valf': 5.397},
            {'data': '2012-06-29T00:00:00+02:00', 'valb': 6.03, 'valf': 5.48},
            {'data': '2012-06-30T00:00:00+02:00', 'valb': 6.03, 'valf': 5.48},
            {'data': '2012-07-01T00:00:00+02:00', 'valb': 6.03, 'valf': 5.48},
            {'data': '2012-07-02T00:00:00+02:00', 'valb': 6.118, 'valf': 5.565},
            {'data': '2012-07-03T00:00:00+02:00', 'valb': 6.208, 'valf': 5.619},
            {'data': '2012-07-04T00:00:00+02:00', 'valb': 6.249, 'valf': 5.687},
            {'data': '2012-07-05T00:00:00+02:00', 'valb': 6.307, 'valf': 5.719},
            {'data': '2012-07-06T00:00:00+02:00', 'valb': 6.282, 'valf': 5.73},
            {'data': '2012-07-07T00:00:00+02:00', 'valb': 6.282, 'valf': 5.73},
            {'data': '2012-07-08T00:00:00+02:00', 'valb': 6.282, 'valf': 5.73},
            {'data': '2012-07-09T00:00:00+02:00', 'valb': 6.236, 'valf': 5.716},
            {'data': '2012-07-10T00:00:00+02:00', 'valb': 6.256, 'valf': 5.684},
            {'data': '2012-07-11T00:00:00+02:00', 'valb': 6.245, 'valf': 5.661},
            {'data': '2012-07-12T00:00:00+02:00', 'valb': 6.175, 'valf': 5.624},
            {'data': '2012-07-13T00:00:00+02:00', 'valb': 6.221, 'valf': 5.677},
            {'data': '2012-07-14T00:00:00+02:00', 'valb': 6.221, 'valf': 5.677},
            {'data': '2012-07-15T00:00:00+02:00', 'valb': 6.221, 'valf': 5.677},
            {'data': '2012-07-16T00:00:00+02:00', 'valb': 6.224, 'valf': 5.668},
            {'data': '2012-07-17T00:00:00+02:00', 'valb': 6.285, 'valf': 5.707},
            {'data': '2012-07-18T00:00:00+02:00', 'valb': 6.265, 'valf': 5.691},
            {'data': '2012-07-19T00:00:00+02:00', 'valb': 6.322, 'valf': 5.729},
            {'data': '2012-07-20T00:00:00+02:00', 'valb': 6.337, 'valf': 5.741},
            {'data': '2012-07-21T00:00:00+02:00', 'valb': 6.337, 'valf': 5.741},
            {'data': '2012-07-22T00:00:00+02:00', 'valb': 6.337, 'valf': 5.741},
            {'data': '2012-07-23T00:00:00+02:00', 'valb': 6.197, 'valf': 5.566},
            {'data': '2012-07-24T00:00:00+02:00', 'valb': 6.185, 'valf': 5.572},
            {'data': '2012-07-25T00:00:00+02:00', 'valb': 6.161, 'valf': 5.54},
            {'data': '2012-07-26T00:00:00+02:00', 'valb': 6.148, 'valf': 5.515},
            {'data': '2012-07-27T00:00:00+02:00', 'valb': 6.27, 'valf': 5.566},
            {'data': '2012-07-28T00:00:00+02:00', 'valb': 6.27, 'valf': 5.566},
            {'data': '2012-07-29T00:00:00+02:00', 'valb': 6.27, 'valf': 5.566},
            {'data': '2012-07-30T00:00:00+02:00', 'valb': 6.376, 'valf': 5.629},
            {'data': '2012-07-31T00:00:00+02:00', 'valb': 6.328, 'valf': 5.613},
            {'data': '2012-08-01T00:00:00+02:00', 'valb': 6.354, 'valf': 5.607},
            {'data': '2012-08-02T00:00:00+02:00', 'valb': 6.37, 'valf': 5.608},
            {'data': '2012-08-03T00:00:00+02:00', 'valb': 6.362, 'valf': 5.592},
            {'data': '2012-08-04T00:00:00+02:00', 'valb': 6.362, 'valf': 5.592},
            {'data': '2012-08-05T00:00:00+02:00', 'valb': 6.362, 'valf': 5.592},
            {'data': '2012-08-06T00:00:00+02:00', 'valb': 6.403, 'valf': 5.656},
            {'data': '2012-08-07T00:00:00+02:00', 'valb': 6.401, 'valf': 5.693},
            {'data': '2012-08-08T00:00:00+02:00', 'valb': 6.447, 'valf': 5.715},
            {'data': '2012-08-09T00:00:00+02:00', 'valb': 6.513, 'valf': 5.754},
            {'data': '2012-08-10T00:00:00+02:00', 'valb': 6.515, 'valf': 5.762},
            {'data': '2012-08-11T00:00:00+02:00', 'valb': 6.515, 'valf': 5.762},
            {'data': '2012-08-12T00:00:00+02:00', 'valb': 6.515, 'valf': 5.762},
            {'data': '2012-08-13T00:00:00+02:00', 'valb': 6.459, 'valf': 5.746},
            {'data': '2012-08-14T00:00:00+02:00', 'valb': 6.492, 'valf': 5.748},
            {'data': '2012-08-15T00:00:00+02:00', 'valb': 6.492, 'valf': 5.748},
            {'data': '2012-08-16T00:00:00+02:00', 'valb': 6.463, 'valf': 5.768},
            {'data': '2012-08-17T00:00:00+02:00', 'valb': 6.469, 'valf': 5.803},
            {'data': '2012-08-18T00:00:00+02:00', 'valb': 6.469, 'valf': 5.803},
            {'data': '2012-08-19T00:00:00+02:00', 'valb': 6.469, 'valf': 5.803},
            {'data': '2012-08-20T00:00:00+02:00', 'valb': 6.436, 'valf': 5.782},
            {'data': '2012-08-21T00:00:00+02:00', 'valb': 6.409, 'valf': 5.82},
            {'data': '2012-08-22T00:00:00+02:00', 'valb': 6.384, 'valf': 5.803},
            {'data': '2012-08-23T00:00:00+02:00', 'valb': 6.348, 'valf': 5.762},
            {'data': '2012-08-24T00:00:00+02:00', 'valb': 6.337, 'valf': 5.767},
            {'data': '2012-08-25T00:00:00+02:00', 'valb': 6.337, 'valf': 5.767},
            {'data': '2012-08-26T00:00:00+02:00', 'valb': 6.337, 'valf': 5.767},
            {'data': '2012-08-27T00:00:00+02:00', 'valb': 6.312, 'valf': 5.764},
            {'data': '2012-08-28T00:00:00+02:00', 'valb': 6.258, 'valf': 5.709},
            {'data': '2012-08-29T00:00:00+02:00', 'valb': 6.234, 'valf': 5.695},
            {'data': '2012-08-30T00:00:00+02:00', 'valb': 6.2, 'valf': 5.67},
            {'data': '2012-08-31T00:00:00+02:00', 'valb': 6.172, 'valf': 5.645},
            {'data': '2012-09-01T00:00:00+02:00', 'valb': 6.172, 'valf': 5.645},
            {'data': '2012-09-02T00:00:00+02:00', 'valb': 6.172, 'valf': 5.645},
            {'data': '2012-09-03T00:00:00+02:00', 'valb': 6.22, 'valf': 5.66},
            {'data': '2012-09-04T00:00:00+02:00', 'valb': 5.914, 'valf': 5.651},
            {'data': '2012-09-05T00:00:00+02:00', 'valb': 6.144, 'valf': 5.66},
            {'data': '2012-09-06T00:00:00+02:00', 'valb': 6.209, 'valf': 5.701},
            {'data': '2012-09-07T00:00:00+02:00', 'valb': 6.225, 'valf': 5.785},
            {'data': '2012-09-08T00:00:00+02:00', 'valb': 6.225, 'valf': 5.785},
            {'data': '2012-09-09T00:00:00+02:00', 'valb': 6.225, 'valf': 5.785},
            {'data': '2012-09-10T00:00:00+02:00', 'valb': 6.245, 'valf': 5.843},
            {'data': '2012-09-11T00:00:00+02:00', 'valb': 6.245, 'valf': 5.877},
            {'data': '2012-09-12T00:00:00+02:00', 'valb': 6.24, 'valf': 5.954},
            {'data': '2012-09-13T00:00:00+02:00', 'valb': 6.263, 'valf': 5.938},
            {'data': '2012-09-14T00:00:00+02:00', 'valb': 6.335, 'valf': 5.971},
            {'data': '2012-09-15T00:00:00+02:00', 'valb': 6.335, 'valf': 5.971},
            {'data': '2012-09-16T00:00:00+02:00', 'valb': 6.335, 'valf': 5.971},
            {'data': '2012-09-17T00:00:00+02:00', 'valb': 6.333, 'valf': 5.958},
            {'data': '2012-09-18T00:00:00+02:00', 'valb': 6.336, 'valf': 6.003},
            {'data': '2012-09-19T00:00:00+02:00', 'valb': 6.352, 'valf': 6.01},
            {'data': '2012-09-20T00:00:00+02:00', 'valb': 6.343, 'valf': 5.998},
            {'data': '2012-09-21T00:00:00+02:00', 'valb': 6.378, 'valf': 6.04},
            {'data': '2012-09-22T00:00:00+02:00', 'valb': 6.378, 'valf': 6.04},
            {'data': '2012-09-23T00:00:00+02:00', 'valb': 6.378, 'valf': 6.04},
            {'data': '2012-09-24T00:00:00+02:00', 'valb': 6.396, 'valf': 6.011},
            {'data': '2012-09-25T00:00:00+02:00', 'valb': 6.361, 'valf': 5.973},
            {'data': '2012-09-26T00:00:00+02:00', 'valb': 6.347, 'valf': 5.934},
            {'data': '2012-09-27T00:00:00+02:00', 'valb': 6.384, 'valf': 5.944},
            {'data': '2012-09-28T00:00:00+02:00', 'valb': 6.406, 'valf': 5.932},
            {'data': '2012-09-29T00:00:00+02:00', 'valb': 6.406, 'valf': 5.932},
            {'data': '2012-09-30T00:00:00+02:00', 'valb': 6.406, 'valf': 5.932},
            {'data': '2012-10-01T00:00:00+02:00', 'valb': 6.405, 'valf': 5.941},
            {'data': '2012-10-02T00:00:00+02:00', 'valb': 6.401, 'valf': 5.982},
            {'data': '2012-10-03T00:00:00+02:00', 'valb': 6.388, 'valf': 6.003},
            {'data': '2012-10-04T00:00:00+02:00', 'valb': 6.365, 'valf': 5.971},
            {'data': '2012-10-05T00:00:00+02:00', 'valb': 6.361, 'valf': 6.061},
            {'data': '2012-10-06T00:00:00+02:00', 'valb': 6.361, 'valf': 6.061},
            {'data': '2012-10-07T00:00:00+02:00', 'valb': 6.361, 'valf': 6.061},
            {'data': '2012-10-08T00:00:00+02:00', 'valb': 6.332, 'valf': 6.04},
            {'data': '2012-10-09T00:00:00+02:00', 'valb': 6.361, 'valf': 6.049},
            {'data': '2012-10-10T00:00:00+02:00', 'valb': 6.35, 'valf': 6.0},
            {'data': '2012-10-11T00:00:00+02:00', 'valb': 6.37, 'valf': 6.028},
            {'data': '2012-10-12T00:00:00+02:00', 'valb': 6.362, 'valf': 6.044},
            {'data': '2012-10-13T00:00:00+02:00', 'valb': 6.362, 'valf': 6.044},
            {'data': '2012-10-14T00:00:00+02:00', 'valb': 6.362, 'valf': 6.044},
            {'data': '2012-10-15T00:00:00+02:00', 'valb': 6.373, 'valf': 6.067},
            {'data': '2012-10-16T00:00:00+02:00', 'valb': 6.377, 'valf': 6.076},
            {'data': '2012-10-17T00:00:00+02:00', 'valb': 6.377, 'valf': 6.095},
            {'data': '2012-10-18T00:00:00+02:00', 'valb': 6.402, 'valf': 6.142},
            {'data': '2012-10-19T00:00:00+02:00', 'valb': 6.386, 'valf': 6.158},
            {'data': '2012-10-20T00:00:00+02:00', 'valb': 6.386, 'valf': 6.158},
            {'data': '2012-10-21T00:00:00+02:00', 'valb': 6.386, 'valf': 6.158},
            {'data': '2012-10-22T00:00:00+02:00', 'valb': 6.384, 'valf': 6.184},
            {'data': '2012-10-23T00:00:00+02:00', 'valb': 6.358, 'valf': 6.171},
            {'data': '2012-10-24T00:00:00+02:00', 'valb': 6.351, 'valf': 6.216},
            {'data': '2012-10-25T00:00:00+02:00', 'valb': 6.374, 'valf': 6.193},
            {'data': '2012-10-26T00:00:00+02:00', 'valb': 6.345, 'valf': 6.125},
            {'data': '2012-10-27T00:00:00+02:00', 'valb': 6.345, 'valf': 6.125},
            {'data': '2012-10-28T00:00:00+02:00', 'valb': 6.345, 'valf': 6.125},
            {'data': '2012-10-29T00:00:00+01:00', 'valb': 6.347, 'valf': 6.06},
            {'data': '2012-10-30T00:00:00+01:00', 'valb': 6.325, 'valf': 6.054},
            {'data': '2012-10-31T00:00:00+01:00', 'valb': 6.34, 'valf': 6.053},
            {'data': '2012-11-01T00:00:00+01:00', 'valb': 6.34, 'valf': 6.053},
            {'data': '2012-11-02T00:00:00+01:00', 'valb': 6.459, 'valf': 6.124},
            {'data': '2012-11-03T00:00:00+01:00', 'valb': 6.459, 'valf': 6.124},
            {'data': '2012-11-04T00:00:00+01:00', 'valb': 6.459, 'valf': 6.124},
            {'data': '2012-11-05T00:00:00+01:00', 'valb': 6.472, 'valf': 6.166},
            {'data': '2012-11-06T00:00:00+01:00', 'valb': 6.492, 'valf': 6.195},
            {'data': '2012-11-07T00:00:00+01:00', 'valb': 6.509, 'valf': 6.21},
            {'data': '2012-11-08T00:00:00+01:00', 'valb': 6.453, 'valf': 6.145},
            {'data': '2012-11-09T00:00:00+01:00', 'valb': 6.433, 'valf': 6.148},
            {'data': '2012-11-10T00:00:00+01:00', 'valb': 6.433, 'valf': 6.148},
            {'data': '2012-11-11T00:00:00+01:00', 'valb': 6.433, 'valf': 6.148},
            {'data': '2012-11-12T00:00:00+01:00', 'valb': 6.42, 'valf': 6.103},
            {'data': '2012-11-13T00:00:00+01:00', 'valb': 6.374, 'valf': 6.067},
            {'data': '2012-11-14T00:00:00+01:00', 'valb': 6.342, 'valf': 6.086},
            {'data': '2012-11-15T00:00:00+01:00', 'valb': 6.285, 'valf': 6.04},
            {'data': '2012-11-16T00:00:00+01:00', 'valb': 6.305, 'valf': 6.057},
            {'data': '2012-11-17T00:00:00+01:00', 'valb': 6.305, 'valf': 6.057},
            {'data': '2012-11-18T00:00:00+01:00', 'valb': 6.305, 'valf': 6.057},
            {'data': '2012-11-19T00:00:00+01:00', 'valb': 6.302, 'valf': 6.1},
            {'data': '2012-11-20T00:00:00+01:00', 'valb': 6.303, 'valf': 6.109},
            {'data': '2012-11-21T00:00:00+01:00', 'valb': 6.301, 'valf': 6.104},
            {'data': '2012-11-22T00:00:00+01:00', 'valb': 6.294, 'valf': 6.14},
            {'data': '2012-11-23T00:00:00+01:00', 'valb': 6.326, 'valf': 6.166},
            {'data': '2012-11-24T00:00:00+01:00', 'valb': 6.326, 'valf': 6.166},
            {'data': '2012-11-25T00:00:00+01:00', 'valb': 6.326, 'valf': 6.166},
            {'data': '2012-11-26T00:00:00+01:00', 'valb': 6.322, 'valf': 6.168},
            {'data': '2012-11-27T00:00:00+01:00', 'valb': 6.334, 'valf': 6.178},
            {'data': '2012-11-28T00:00:00+01:00', 'valb': 6.314, 'valf': 6.141},
            {'data': '2012-11-30T00:00:00+01:00', 'valb': 6.373, 'valf': 6.142},
            {'data': '2012-12-01T00:00:00+01:00', 'valb': 6.373, 'valf': 6.142},
            {'data': '2012-12-02T00:00:00+01:00', 'valb': 6.373, 'valf': 6.142},
            {'data': '2012-12-03T00:00:00+01:00', 'valb': 6.346, 'valf': 6.14},
            {'data': '2012-12-04T00:00:00+01:00', 'valb': 6.338, 'valf': 6.129},
            {'data': '2012-12-05T00:00:00+01:00', 'valb': 6.405, 'valf': 6.183},
            {'data': '2012-12-06T00:00:00+01:00', 'valb': 6.477, 'valf': 6.203},
            {'data': '2012-12-07T00:00:00+01:00', 'valb': 6.518, 'valf': 6.251},
            {'data': '2012-12-08T00:00:00+01:00', 'valb': 6.518, 'valf': 6.251},
            {'data': '2012-12-09T00:00:00+01:00', 'valb': 6.518, 'valf': 6.251},
            {'data': '2012-12-10T00:00:00+01:00', 'valb': 6.553, 'valf': 6.302},
            {'data': '2012-12-11T00:00:00+01:00', 'valb': 6.549, 'valf': 6.309},
            {'data': '2012-12-12T00:00:00+01:00', 'valb': 6.572, 'valf': 6.35},
            {'data': '2012-12-13T00:00:00+01:00', 'valb': 6.538, 'valf': 6.341},
            {'data': '2012-12-14T00:00:00+01:00', 'valb': 6.54, 'valf': 6.369},
            {'data': '2012-12-15T00:00:00+01:00', 'valb': 6.54, 'valf': 6.369},
            {'data': '2012-12-16T00:00:00+01:00', 'valb': 6.54, 'valf': 6.369},
            {'data': '2012-12-17T00:00:00+01:00', 'valb': 6.502, 'valf': 6.342},
            {'data': '2012-12-18T00:00:00+01:00', 'valb': 6.52, 'valf': 6.334},
            {'data': '2012-12-19T00:00:00+01:00', 'valb': 6.55, 'valf': 6.392},
            {'data': '2012-12-20T00:00:00+01:00', 'valb': 6.555, 'valf': 6.397},
            {'data': '2012-12-21T00:00:00+01:00', 'valb': 6.529, 'valf': 6.393},
            {'data': '2012-12-22T00:00:00+01:00', 'valb': 6.529, 'valf': 6.393},
            {'data': '2012-12-23T00:00:00+01:00', 'valb': 6.529, 'valf': 6.393},
            {'data': '2012-12-24T00:00:00+01:00', 'valb': 6.529, 'valf': 6.393},
            {'data': '2012-12-25T00:00:00+01:00', 'valb': 6.529, 'valf': 6.393},
            {'data': '2012-12-26T00:00:00+01:00', 'valb': 6.529, 'valf': 6.393},
            {'data': '2012-12-27T00:00:00+01:00', 'valb': 6.555, 'valf': 6.429},
            {'data': '2012-12-28T00:00:00+01:00', 'valb': 6.592, 'valf': 6.429},
            {'data': '2012-12-29T00:00:00+01:00', 'valb': 6.592, 'valf': 6.429},
            {'data': '2012-12-30T00:00:00+01:00', 'valb': 6.592, 'valf': 6.429},
            {'data': '2012-12-31T00:00:00+01:00', 'valb': 6.592, 'valf': 6.429},
            {'data': '2013-01-01T00:00:00+01:00', 'valb': 6.592, 'valf': 6.429},
            {'data': '2013-01-02T00:00:00+01:00', 'valb': 6.714, 'valf': 6.577},
            {'data': '2013-01-03T00:00:00+01:00', 'valb': 6.831, 'valf': 6.688},
            {'data': '2013-01-04T00:00:00+01:00', 'valb': 6.833, 'valf': 6.718},
            {'data': '2013-01-05T00:00:00+01:00', 'valb': 6.833, 'valf': 6.718},
            {'data': '2013-01-06T00:00:00+01:00', 'valb': 6.833, 'valf': 6.718},
            {'data': '2013-01-07T00:00:00+01:00', 'valb': 6.795, 'valf': 6.73},
            {'data': '2013-01-08T00:00:00+01:00', 'valb': 6.778, 'valf': 6.714},
            {'data': '2013-01-09T00:00:00+01:00', 'valb': 6.82, 'valf': 6.768},
            {'data': '2013-01-10T00:00:00+01:00', 'valb': 6.746, 'valf': 6.747},
            {'data': '2013-01-11T00:00:00+01:00', 'valb': 6.652, 'valf': 6.682},
            {'data': '2013-01-12T00:00:00+01:00', 'valb': 6.652, 'valf': 6.682},
            {'data': '2013-01-13T00:00:00+01:00', 'valb': 6.652, 'valf': 6.682},
            {'data': '2013-01-14T00:00:00+01:00', 'valb': 6.695, 'valf': 6.702},
            {'data': '2013-01-15T00:00:00+01:00', 'valb': 6.666, 'valf': 6.713},
            {'data': '2013-01-16T00:00:00+01:00', 'valb': 6.676, 'valf': 6.729},
            {'data': '2013-01-17T00:00:00+01:00', 'valb': 6.664, 'valf': 6.709},
            {'data': '2013-01-18T00:00:00+01:00', 'valb': 6.744, 'valf': 6.775},
            {'data': '2013-01-19T00:00:00+01:00', 'valb': 6.744, 'valf': 6.775},
            {'data': '2013-01-20T00:00:00+01:00', 'valb': 6.744, 'valf': 6.775},
            {'data': '2013-01-21T00:00:00+01:00', 'valb': 6.72, 'valf': 6.779},
            {'data': '2013-01-22T00:00:00+01:00', 'valb': 6.733, 'valf': 6.796},
            {'data': '2013-01-23T00:00:00+01:00', 'valb': 6.731, 'valf': 6.793},
            {'data': '2013-01-24T00:00:00+01:00', 'valb': 6.666, 'valf': 6.713},
            {'data': '2013-01-25T00:00:00+01:00', 'valb': 6.613, 'valf': 6.691},
            {'data': '2013-01-26T00:00:00+01:00', 'valb': 6.613, 'valf': 6.691},
            {'data': '2013-01-27T00:00:00+01:00', 'valb': 6.613, 'valf': 6.691},
            {'data': '2013-01-28T00:00:00+01:00', 'valb': 6.591, 'valf': 6.669},
            {'data': '2013-01-29T00:00:00+01:00', 'valb': 6.619, 'valf': 6.689},
            {'data': '2013-01-30T00:00:00+01:00', 'valb': 6.555, 'valf': 6.648},
            {'data': '2013-01-31T00:00:00+01:00', 'valb': 6.565, 'valf': 6.608},
            {'data': '2013-02-01T00:00:00+01:00', 'valb': 6.544, 'valf': 6.586},
            {'data': '2013-02-02T00:00:00+01:00', 'valb': 6.544, 'valf': 6.586},
            {'data': '2013-02-03T00:00:00+01:00', 'valb': 6.544, 'valf': 6.586},
            {'data': '2013-02-04T00:00:00+01:00', 'valb': 6.594, 'valf': 6.645},
            {'data': '2013-02-05T00:00:00+01:00', 'valb': 6.587, 'valf': 6.636},
            {'data': '2013-02-06T00:00:00+01:00', 'valb': 6.557, 'valf': 6.646},
            {'data': '2013-02-07T00:00:00+01:00', 'valb': 6.603, 'valf': 6.668},
            {'data': '2013-02-08T00:00:00+01:00', 'valb': 6.607, 'valf': 6.664},
            {'data': '2013-02-09T00:00:00+01:00', 'valb': 6.607, 'valf': 6.664},
            {'data': '2013-02-10T00:00:00+01:00', 'valb': 6.607, 'valf': 6.664},
            {'data': '2013-02-11T00:00:00+01:00', 'valb': 6.593, 'valf': 6.658},
            {'data': '2013-02-12T00:00:00+01:00', 'valb': 6.551, 'valf': 6.637},
            {'data': '2013-02-13T00:00:00+01:00', 'valb': 6.586, 'valf': 6.681},
            {'data': '2013-02-14T00:00:00+01:00', 'valb': 6.631, 'valf': 6.696},
            {'data': '2013-02-15T00:00:00+01:00', 'valb': 6.622, 'valf': 6.717},
            {'data': '2013-02-16T00:00:00+01:00', 'valb': 6.622, 'valf': 6.717},
            {'data': '2013-02-17T00:00:00+01:00', 'valb': 6.622, 'valf': 6.717},
            {'data': '2013-02-18T00:00:00+01:00', 'valb': 6.609, 'valf': 6.719},
            {'data': '2013-02-19T00:00:00+01:00', 'valb': 6.603, 'valf': 6.722},
            {'data': '2013-02-20T00:00:00+01:00', 'valb': 6.597, 'valf': 6.709},
            {'data': '2013-02-21T00:00:00+01:00', 'valb': 6.574, 'valf': 6.65},
            {'data': '2013-02-22T00:00:00+01:00', 'valb': 6.608, 'valf': 6.684},
            {'data': '2013-02-23T00:00:00+01:00', 'valb': 6.608, 'valf': 6.684},
            {'data': '2013-02-24T00:00:00+01:00', 'valb': 6.608, 'valf': 6.684},
            {'data': '2013-02-25T00:00:00+01:00', 'valb': 6.597, 'valf': 6.672},
            {'data': '2013-02-26T00:00:00+01:00', 'valb': 6.59, 'valf': 6.657},
            {'data': '2013-02-27T00:00:00+01:00', 'valb': 6.595, 'valf': 6.667},
            {'data': '2013-02-28T00:00:00+01:00', 'valb': 6.652, 'valf': 6.726},
            {'data': '2013-03-01T00:00:00+01:00', 'valb': 6.689, 'valf': 6.732},
            {'data': '2013-03-02T00:00:00+01:00', 'valb': 6.689, 'valf': 6.732},
            {'data': '2013-03-03T00:00:00+01:00', 'valb': 6.689, 'valf': 6.732},
            {'data': '2013-03-04T00:00:00+01:00', 'valb': 6.603, 'valf': 6.679},
            {'data': '2013-03-05T00:00:00+01:00', 'valb': 6.65, 'valf': 6.716},
            {'data': '2013-03-06T00:00:00+01:00', 'valb': 6.735, 'valf': 6.78},
            {'data': '2013-03-07T00:00:00+01:00', 'valb': 6.701, 'valf': 6.731},
            {'data': '2013-03-08T00:00:00+01:00', 'valb': 6.814, 'valf': 6.787},
            {'data': '2013-03-09T00:00:00+01:00', 'valb': 6.814, 'valf': 6.787},
            {'data': '2013-03-10T00:00:00+01:00', 'valb': 6.814, 'valf': 6.787},
            {'data': '2013-03-11T00:00:00+01:00', 'valb': 6.786, 'valf': 6.772},
            {'data': '2013-03-12T00:00:00+01:00', 'valb': 6.75, 'valf': 6.728},
            {'data': '2013-03-13T00:00:00+01:00', 'valb': 6.719, 'valf': 6.735},
            {'data': '2013-03-14T00:00:00+01:00', 'valb': 6.705, 'valf': 6.72},
            {'data': '2013-03-15T00:00:00+01:00', 'valb': 6.635, 'valf': 6.673},
            {'data': '2013-03-16T00:00:00+01:00', 'valb': 6.635, 'valf': 6.673},
            {'data': '2013-03-17T00:00:00+01:00', 'valb': 6.635, 'valf': 6.673},
            {'data': '2013-03-18T00:00:00+01:00', 'valb': 6.616, 'valf': 6.641},
            {'data': '2013-03-19T00:00:00+01:00', 'valb': 6.602, 'valf': 6.603},
            {'data': '2013-03-20T00:00:00+01:00', 'valb': 6.594, 'valf': 6.592},
            {'data': '2013-03-21T00:00:00+01:00', 'valb': 6.583, 'valf': 6.596},
            {'data': '2013-03-22T00:00:00+01:00', 'valb': 6.505, 'valf': 6.564},
            {'data': '2013-03-23T00:00:00+01:00', 'valb': 6.505, 'valf': 6.564},
            {'data': '2013-03-24T00:00:00+01:00', 'valb': 6.505, 'valf': 6.564},
            {'data': '2013-03-25T00:00:00+01:00', 'valb': 6.583, 'valf': 6.603},
            {'data': '2013-03-26T00:00:00+01:00', 'valb': 6.634, 'valf': 6.552},
            {'data': '2013-03-27T00:00:00+01:00', 'valb': 6.694, 'valf': 6.548},
            {'data': '2013-03-28T00:00:00+01:00', 'valb': 6.671, 'valf': 6.535},
            {'data': '2013-03-29T00:00:00+01:00', 'valb': 6.671, 'valf': 6.535},
            {'data': '2013-03-30T00:00:00+01:00', 'valb': 6.671, 'valf': 6.535},
            {'data': '2013-03-31T00:00:00+01:00', 'valb': 6.671, 'valf': 6.535},
            {'data': '2013-04-01T00:00:00+02:00', 'valb': 6.671, 'valf': 6.535},
            {'data': '2013-04-02T00:00:00+02:00', 'valb': 6.661, 'valf': 6.499},
            {'data': '2013-04-03T00:00:00+02:00', 'valb': 6.623, 'valf': 6.464},
            {'data': '2013-04-04T00:00:00+02:00', 'valb': 6.585, 'valf': 6.453},
            {'data': '2013-04-05T00:00:00+02:00', 'valb': 6.462, 'valf': 6.355},
            {'data': '2013-04-06T00:00:00+02:00', 'valb': 6.462, 'valf': 6.355},
            {'data': '2013-04-07T00:00:00+02:00', 'valb': 6.462, 'valf': 6.355},
            {'data': '2013-04-08T00:00:00+02:00', 'valb': 6.468, 'valf': 6.357},
            {'data': '2013-04-09T00:00:00+02:00', 'valb': 6.511, 'valf': 6.414},
            {'data': '2013-04-10T00:00:00+02:00', 'valb': 6.55, 'valf': 6.46},
            {'data': '2013-04-11T00:00:00+02:00', 'valb': 6.55, 'valf': 6.479},
            {'data': '2013-04-12T00:00:00+02:00', 'valb': 6.514, 'valf': 6.462},
            {'data': '2013-04-13T00:00:00+02:00', 'valb': 6.514, 'valf': 6.462},
            {'data': '2013-04-14T00:00:00+02:00', 'valb': 6.514, 'valf': 6.462},
            {'data': '2013-04-15T00:00:00+02:00', 'valb': 6.397, 'valf': 6.366},
            {'data': '2013-04-16T00:00:00+02:00', 'valb': 6.412, 'valf': 6.354},
            {'data': '2013-04-17T00:00:00+02:00', 'valb': 6.409, 'valf': 6.353},
            {'data': '2013-04-18T00:00:00+02:00', 'valb': 6.386, 'valf': 6.346},
            {'data': '2013-04-19T00:00:00+02:00', 'valb': 6.479, 'valf': 6.406},
            {'data': '2013-04-20T00:00:00+02:00', 'valb': 6.479, 'valf': 6.406},
            {'data': '2013-04-21T00:00:00+02:00', 'valb': 6.479, 'valf': 6.406},
            {'data': '2013-04-22T00:00:00+02:00', 'valb': 6.503, 'valf': 6.425},
            {'data': '2013-04-23T00:00:00+02:00', 'valb': 6.506, 'valf': 6.409}
        ],
        'BenchDescr': 'FT/S&P ALL WORLD EMERGING Euro TR ',
        'SeriesCount': "2L",
        'TipoFondo': u'FONDOCOMUNE',
        'TFRDataCount': 0,
        'DescrFon': u'ACOMEA PAESI EMERGENTI CLASSE A1',
        'MaxVal': 0.0,
        'DTINIZIOVALQUOTA': datetime.datetime(2002, 12, 30, 0, 0),
        'DataEffettiva1': datetime.datetime(2011, 10, 27, 0, 0),
        'LegendaTFR': SimpleXMLElement(
            '<LegendaTFR><xs:schema id="NewDataSet" xmlns="" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:xs="http://www.w3.org/2001/XMLSchema"><xs:element msdata:IsDataSet="true" msdata:UseCurrentLocale="true" name="NewDataSet"><xs:complexType><xs:choice maxOccurs="unbounded" minOccurs="0"><xs:element name="Table1"><xs:complexType/></xs:element></xs:choice></xs:complexType></xs:element></xs:schema><diffgr:diffgram xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata"/></LegendaTFR>'
        ),
        'MinVal': 0.0,
        'CLASSE': u'A1',
        'DTGIRO': datetime.datetime(2013, 4, 23, 0, 0),
        'EndValB': 6.5064017065355175,
        'EndValF': 6.409
    }
    return data


def get_classi_di_attivita():
    # sample fund 'EM' (acomea paesi emergenti)
    data = {
        'active_buttons': {'HasAreeGeografiche': True,
                           'HasComposizionePatrimoniale': True,
                           'HasPrincipaliPaesi': True,
                           'HasPrincipaliTitoli': True,
                           'HasRPV': True,
                           'HasRatings': True,
                           'HasScadenza': True},
        'line': {'Categories': ['Azioni/Warrants',
                                'OICR Azionari',
                                'OICR Obbligazionari',
                                'Obbl./Conv./Tit. Stato no G7',
                                'Liquidita',
                                'Azioni/Warrants',
                                'OICR Azionari',
                                'OICR Obbligazionari',
                                'Obbl./Conv./Tit. Stato no G7',
                                'Liquidita'],
                 'Colonne': 0L,
                 'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                 'ID': u'CP',
                 'IDTAB': u'CPT',
                 'Ordine': 1L,
                 'Precalcolata': True,
                 'Righe': 0L,
                 'SeriesData': [69.22, 2.8281, 4.1462, 10.2644, 10.2846],
                 'SottoTitolo': u'Dati in % calcolati sul Nav del fondo. ',
                 'Titolo': u'Classi di attivit\xe0',
                 'TitoloBreve': u'Classi di attivit\xe0'},
        'pie': {'Categories': ['Azioni/Warrants',
                               'OICR Azionari',
                               'OICR Obbligazionari',
                               'Obbl./Conv./Tit. Stato no G7',
                               'Liquidita',
                               'Azioni/Warrants',
                               'OICR Azionari',
                               'OICR Obbligazionari',
                               'Obbl./Conv./Tit. Stato no G7',
                               'Liquidita'],
                'Colonne': 0L,
                'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                'ID': u'CP',
                'IDTAB': u'CPT',
                'Ordine': 1L,
                'Precalcolata': True,
                'Righe': 0L,
                'SeriesData': [['Azioni/Warrants', 69.22],
                               ['OICR Azionari', 2.8281],
                               ['OICR Obbligazionari', 4.1462],
                               ['Obbl./Conv./Tit. Stato no G7', 10.2644],
                               ['Liquidita', 10.2846]],
                'SottoTitolo': u'Dati in % calcolati sul Nav del fondo. ',
                'Titolo': u'Classi di attivit\xe0',
                'TitoloBreve': u'Classi di attivit\xe0'}
    }
    return data


def get_titoli():
    # sample fund 'EM' (acomea paesi emergenti)
    data = {'active_buttons': {'HasAreeGeografiche': True,
                               'HasComposizionePatrimoniale': True,
                               'HasPrincipaliPaesi': True,
                               'HasPrincipaliTitoli': True,
                               'HasRPV': True,
                               'HasRatings': True,
                               'HasScadenza': True},
            'line': {'Categories': ['CCT 01/03/2014           ',
                                    "ACOMEA LIQUIDITA' (A2)   ",
                                    'MAGYAR TELEKOM TELECOMMUN',
                                    'DEKA CONVERGENCEAKTIEN CF',
                                    'HELLENIC TELECOMUNICATION',
                                    'PUBLIC POWER CORPORATION ',
                                    'OPAP SA                  ',
                                    'PETROLEO BRASILEIRO ADR  ',
                                    'DESARROLLADORA HOMEX SAB ',
                                    'CHIMEI INNOLUX CORP      ',
                                    'OI SA PRIVILEGIATA ADR   ',
                                    'CATHAY FINANCIAL HOLDING ',
                                    'COMPAL ELECTRONICS INC   ',
                                    'ESPRIT HOLDINGS LTD      ',
                                    'BEZEQ ISRAELI TELECOM CO ',
                                    'FAIRFAX MEDIA LTD        ',
                                    'AXTEL SAB DE CV          ',
                                    'BERJAYA SPORTS TOTO BHD  ',
                                    'FEDERAL HYDROG.-ADR      ',
                                    'GAFISA SA - ADR          ',
                                    'CCT 01/03/2014           ',
                                    "ACOMEA LIQUIDITA' (A2)   ",
                                    'MAGYAR TELEKOM TELECOMMUN',
                                    'DEKA CONVERGENCEAKTIEN CF',
                                    'HELLENIC TELECOMUNICATION',
                                    'PUBLIC POWER CORPORATION ',
                                    'OPAP SA                  ',
                                    'PETROLEO BRASILEIRO ADR  ',
                                    'DESARROLLADORA HOMEX SAB ',
                                    'CHIMEI INNOLUX CORP      ',
                                    'OI SA PRIVILEGIATA ADR   ',
                                    'CATHAY FINANCIAL HOLDING ',
                                    'COMPAL ELECTRONICS INC   ',
                                    'ESPRIT HOLDINGS LTD      ',
                                    'BEZEQ ISRAELI TELECOM CO ',
                                    'FAIRFAX MEDIA LTD        ',
                                    'AXTEL SAB DE CV          ',
                                    'BERJAYA SPORTS TOTO BHD  ',
                                    'FEDERAL HYDROG.-ADR      ',
                                    'GAFISA SA - ADR          '],
                     'Colonne': 0L,
                     'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                     'ID': u'PTP',
                     'IDTAB': u'PTA',
                     'Ordine': 5L,
                     'Precalcolata': True,
                     'Righe': 20L,
                     'SeriesData': [10.2644,
                                    4.1462,
                                    3.0418,
                                    2.8281,
                                    2.4595,
                                    2.4554,
                                    1.812,
                                    1.3877,
                                    1.0581,
                                    0.9743,
                                    0.9578,
                                    0.9158,
                                    0.8711,
                                    0.8523,
                                    0.8137,
                                    0.7997,
                                    0.799,
                                    0.7981,
                                    0.792,
                                    0.7617],
                     'SottoTitolo': u'Principali azioni, in % sul NAV del Fondo. ',
                     'Titolo': u'Titoli',
                     'TitoloBreve': u'Titoli'},
            'pie': {'Categories': ['CCT 01/03/2014           ',
                                   "ACOMEA LIQUIDITA' (A2)   ",
                                   'MAGYAR TELEKOM TELECOMMUN',
                                   'DEKA CONVERGENCEAKTIEN CF',
                                   'HELLENIC TELECOMUNICATION',
                                   'PUBLIC POWER CORPORATION ',
                                   'OPAP SA                  ',
                                   'PETROLEO BRASILEIRO ADR  ',
                                   'DESARROLLADORA HOMEX SAB ',
                                   'CHIMEI INNOLUX CORP      ',
                                   'OI SA PRIVILEGIATA ADR   ',
                                   'CATHAY FINANCIAL HOLDING ',
                                   'COMPAL ELECTRONICS INC   ',
                                   'ESPRIT HOLDINGS LTD      ',
                                   'BEZEQ ISRAELI TELECOM CO ',
                                   'FAIRFAX MEDIA LTD        ',
                                   'AXTEL SAB DE CV          ',
                                   'BERJAYA SPORTS TOTO BHD  ',
                                   'FEDERAL HYDROG.-ADR      ',
                                   'GAFISA SA - ADR          ',
                                   'CCT 01/03/2014           ',
                                   "ACOMEA LIQUIDITA' (A2)   ",
                                   'MAGYAR TELEKOM TELECOMMUN',
                                   'DEKA CONVERGENCEAKTIEN CF',
                                   'HELLENIC TELECOMUNICATION',
                                   'PUBLIC POWER CORPORATION ',
                                   'OPAP SA                  ',
                                   'PETROLEO BRASILEIRO ADR  ',
                                   'DESARROLLADORA HOMEX SAB ',
                                   'CHIMEI INNOLUX CORP      ',
                                   'OI SA PRIVILEGIATA ADR   ',
                                   'CATHAY FINANCIAL HOLDING ',
                                   'COMPAL ELECTRONICS INC   ',
                                   'ESPRIT HOLDINGS LTD      ',
                                   'BEZEQ ISRAELI TELECOM CO ',
                                   'FAIRFAX MEDIA LTD        ',
                                   'AXTEL SAB DE CV          ',
                                   'BERJAYA SPORTS TOTO BHD  ',
                                   'FEDERAL HYDROG.-ADR      ',
                                   'GAFISA SA - ADR          '],
                    'Colonne': 0L,
                    'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                    'ID': u'PTP',
                    'IDTAB': u'PTA',
                    'Ordine': 5L,
                    'Precalcolata': True,
                    'Righe': 20L,
                    'SeriesData': [['CCT 01/03/2014           ', 10.2644],
                                   ["ACOMEA LIQUIDITA' (A2)   ", 4.1462],
                                   ['MAGYAR TELEKOM TELECOMMUN', 3.0418],
                                   ['DEKA CONVERGENCEAKTIEN CF', 2.8281],
                                   ['HELLENIC TELECOMUNICATION', 2.4595],
                                   ['PUBLIC POWER CORPORATION ', 2.4554],
                                   ['OPAP SA                  ', 1.812],
                                   ['PETROLEO BRASILEIRO ADR  ', 1.3877],
                                   ['DESARROLLADORA HOMEX SAB ', 1.0581],
                                   ['CHIMEI INNOLUX CORP      ', 0.9743],
                                   ['OI SA PRIVILEGIATA ADR   ', 0.9578],
                                   ['CATHAY FINANCIAL HOLDING ', 0.9158],
                                   ['COMPAL ELECTRONICS INC   ', 0.8711],
                                   ['ESPRIT HOLDINGS LTD      ', 0.8523],
                                   ['BEZEQ ISRAELI TELECOM CO ', 0.8137],
                                   ['FAIRFAX MEDIA LTD        ', 0.7997],
                                   ['AXTEL SAB DE CV          ', 0.799],
                                   ['BERJAYA SPORTS TOTO BHD  ', 0.7981],
                                   ['FEDERAL HYDROG.-ADR      ', 0.792],
                                   ['GAFISA SA - ADR          ', 0.7617]],
                    'SottoTitolo': u'Principali azioni, in % sul NAV del Fondo. ',
                    'Titolo': u'Titoli',
                    'TitoloBreve': u'Titoli'}}

    return data



def get_rating():
    # sample fund 'OC' (acomea obbligazionario corporate)
    data = {'active_buttons': {'HasAreeGeografiche': True,
                               'HasComposizionePatrimoniale': True,
                               'HasPrincipaliPaesi': True,
                               'HasPrincipaliTitoli': True,
                               'HasRPV': True,
                               'HasRatings': True,
                               'HasScadenza': True},
            'line': {'Categories': ['A',
                                    'AA',
                                    'BBB',
                                    'NIG',
                                    'nr',
                                    'A',
                                    'AA',
                                    'BBB',
                                    'NIG',
                                    'nr'],
                     'Colonne': 0L,
                     'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                     'ID': u'RAT',
                     'IDTAB': u'RAT',
                     'Ordine': 2L,
                     'Precalcolata': True,
                     'Righe': 0L,
                     'SeriesData': [37.2743, 1.819, 49.4764, 5.3151, 6.1149],
                     'SottoTitolo': u'Dati in % sul NAV della componente obbligazionaria del portafoglio. ',
                     'Titolo': u'Rating',
                     'TitoloBreve': u'Rating'},
            'pie': {'Categories': ['A',
                                   'AA',
                                   'BBB',
                                   'NIG',
                                   'nr',
                                   'A',
                                   'AA',
                                   'BBB',
                                   'NIG',
                                   'nr'],
                    'Colonne': 0L,
                    'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                    'ID': u'RAT',
                    'IDTAB': u'RAT',
                    'Ordine': 2L,
                    'Precalcolata': True,
                    'Righe': 0L,
                    'SeriesData': [['A', 37.2743],
                                   ['AA', 1.819],
                                   ['BBB', 49.4764],
                                   ['NIG', 5.3151],
                                   ['nr', 6.1149]],
                    'SottoTitolo': u'Dati in % sul NAV della componente obbligazionaria del portafoglio. ',
                    'Titolo': u'Rating',
                    'TitoloBreve': u'Rating'}
    }
    return data


def get_valute():
    # sample fund: 'EM' (acomea paesi emergenti)
    data = {
        'active_buttons': {'HasAreeGeografiche': True,
                           'HasComposizionePatrimoniale': True,
                           'HasPrincipaliPaesi': True,
                           'HasPrincipaliTitoli': True,
                           'HasRPV': True,
                           'HasRatings': True,
                           'HasScadenza': True},
        'line': {'Categories': ['EURO                     ',
                                'DOLLARO HONG KONG        ',
                                'WON COREA DEL SUD        ',
                                'DOLLARO TAIWAN           ',
                                'DOLLARO AUSTRALIANO      ',
                                'RINGGIT MALESIANO        ',
                                'EURO                     ',
                                'DOLLARO HONG KONG        ',
                                'WON COREA DEL SUD        ',
                                'DOLLARO TAIWAN           ',
                                'DOLLARO AUSTRALIANO      ',
                                'RINGGIT MALESIANO        '],
                 'Colonne': 3L,
                 'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                 'ID': u'RPV',
                 'IDTAB': u'RPV',
                 'Ordine': 3L,
                 'Precalcolata': True,
                 'Righe': 0L,
                 'SeriesData': [33.58, 17.15, 7.63, 7.38, 4.96, 3.4],
                 'SottoTitolo': u'Principali valute, in % sul NAV del fondo. ',
                 'Titolo': u'Valute',
                 'TitoloBreve': u'Valute'},
        'pie': {'Categories': ['EURO                     ',
                               'DOLLARO HONG KONG        ',
                               'WON COREA DEL SUD        ',
                               'DOLLARO TAIWAN           ',
                               'DOLLARO AUSTRALIANO      ',
                               'RINGGIT MALESIANO        ',
                               'EURO                     ',
                               'DOLLARO HONG KONG        ',
                               'WON COREA DEL SUD        ',
                               'DOLLARO TAIWAN           ',
                               'DOLLARO AUSTRALIANO      ',
                               'RINGGIT MALESIANO        '],
                'Colonne': 3L,
                'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                'ID': u'RPV',
                'IDTAB': u'RPV',
                'Ordine': 3L,
                'Precalcolata': True,
                'Righe': 0L,
                'SeriesData': [['EURO                     ', 33.58],
                               ['DOLLARO HONG KONG        ', 17.15],
                               ['WON COREA DEL SUD        ', 7.63],
                               ['DOLLARO TAIWAN           ', 7.38],
                               ['DOLLARO AUSTRALIANO      ', 4.96],
                               ['RINGGIT MALESIANO        ', 3.4]],
                'SottoTitolo': u'Principali valute, in % sul NAV del fondo. ',
                'Titolo': u'Valute',
                'TitoloBreve': u'Valute'}
    }
    return data


def get_principali_paesi():
    data = {
        'active_buttons': {'HasAreeGeografiche': True,
                           'HasComposizionePatrimoniale': True,
                           'HasPrincipaliPaesi': True,
                           'HasPrincipaliTitoli': True,
                           'HasRPV': True,
                           'HasRatings': True,
                           'HasScadenza': True},
        'line': {'Categories': ['CINA REPUBBLICA POPOLARE           ',
                                'GRECIA                             ',
                                'COREA DEL SUD                      ',
                                'BRASILE                            ',
                                'TAIWAN                             ',
                                'AUSTRALIA                          ',
                                'HONG KONG                          ',
                                'MALAYSIA                           ',
                                'CINA REPUBBLICA POPOLARE           ',
                                'GRECIA                             ',
                                'COREA DEL SUD                      ',
                                'BRASILE                            ',
                                'TAIWAN                             ',
                                'AUSTRALIA                          ',
                                'HONG KONG                          ',
                                'MALAYSIA                           '],
                 'Colonne': 3L,
                 'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                 'ID': u'PPI',
                 'IDTAB': u'PPA',
                 'Ordine': 2L,
                 'Precalcolata': True,
                 'Righe': 8L,
                 'SeriesData': [13.5541,
                                7.7171,
                                7.6219,
                                6.7918,
                                5.8242,
                                4.9446,
                                3.5929,
                                3.3857],
                 'SottoTitolo': u'Dati in % calcolati sul Nav del fondo. (azioni) ',
                 'Titolo': u"Principali paesi d'Investimento",
                 'TitoloBreve': u'Paesi'},
        'pie': {'Categories': ['CINA REPUBBLICA POPOLARE           ',
                               'GRECIA                             ',
                               'COREA DEL SUD                      ',
                               'BRASILE                            ',
                               'TAIWAN                             ',
                               'AUSTRALIA                          ',
                               'HONG KONG                          ',
                               'MALAYSIA                           ',
                               'CINA REPUBBLICA POPOLARE           ',
                               'GRECIA                             ',
                               'COREA DEL SUD                      ',
                               'BRASILE                            ',
                               'TAIWAN                             ',
                               'AUSTRALIA                          ',
                               'HONG KONG                          ',
                               'MALAYSIA                           '],
                'Colonne': 3L,
                'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                'ID': u'PPI',
                'IDTAB': u'PPA',
                'Ordine': 2L,
                'Precalcolata': True,
                'Righe': 8L,
                'SeriesData': [['CINA REPUBBLICA POPOLARE           ', 13.5541],
                               ['GRECIA                             ', 7.7171],
                               ['COREA DEL SUD                      ', 7.6219],
                               ['BRASILE                            ', 6.7918],
                               ['TAIWAN                             ', 5.8242],
                               ['AUSTRALIA                          ', 4.9446],
                               ['HONG KONG                          ', 3.5929],
                               ['MALAYSIA                           ', 3.3857]],
                'SottoTitolo': u'Dati in % calcolati sul Nav del fondo. (azioni) ',
                'Titolo': u"Principali paesi d'Investimento",
                'TitoloBreve': u'Paesi'}
    }
    return data


def get_scadenza():
    # sample fund 'OC' (acomea obbligazionario corporate)
    data = {
        'active_buttons': {'HasAreeGeografiche': True,
                           'HasComposizionePatrimoniale': True,
                           'HasPrincipaliPaesi': True,
                           'HasPrincipaliTitoli': True,
                           'HasRPV': True,
                           'HasRatings': True,
                           'HasScadenza': True},
        'line': {'Categories': ['minore uguale a 3 anni',
                                'maggiore di 3 anni e minore uguale di 5 anni',
                                'maggiore di 5 anni e minore uguale di 10 anni',
                                'maggiore di 10 anni',
                                'minore uguale a 3 anni',
                                'maggiore di 3 anni e minore uguale di 5 anni',
                                'maggiore di 5 anni e minore uguale di 10 anni',
                                'maggiore di 10 anni'],
                 'Colonne': 2L,
                 'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                 'ID': u'SCA',
                 'IDTAB': u'SCA',
                 'Ordine': 4L,
                 'Precalcolata': True,
                 'Righe': 0L,
                 'SeriesData': [39.2933, 37.4348, 15.4877, 4.6835],
                 'SottoTitolo': u'Dati in % calcolati sul Nav del fondo. (Obbligazioni)',
                 'Titolo': u'Ripartizione del portafoglio per scadenza',
                 'TitoloBreve': u'Scadenza'},
        'pie': {'Categories': ['minore uguale a 3 anni',
                               'maggiore di 3 anni e minore uguale di 5 anni',
                               'maggiore di 5 anni e minore uguale di 10 anni',
                               'maggiore di 10 anni',
                               'minore uguale a 3 anni',
                               'maggiore di 3 anni e minore uguale di 5 anni',
                               'maggiore di 5 anni e minore uguale di 10 anni',
                               'maggiore di 10 anni'],
                'Colonne': 2L,
                'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                'ID': u'SCA',
                'IDTAB': u'SCA',
                'Ordine': 4L,
                'Precalcolata': True,
                'Righe': 0L,
                'SeriesData': [['minore uguale a 3 anni', 39.2933],
                               ['maggiore di 3 anni e minore uguale di 5 anni', 37.4348],
                               ['maggiore di 5 anni e minore uguale di 10 anni', 15.4877],
                               ['maggiore di 10 anni', 4.6835]],
                'SottoTitolo': u'Dati in % calcolati sul Nav del fondo. (Obbligazioni)',
                'Titolo': u'Ripartizione del portafoglio per scadenza',
                'TitoloBreve': u'Scadenza'}
    }


def get_aree_geografiche():
    # sample fund 'GL' (acomea globale)
    data = {
        'active_buttons': {'HasAreeGeografiche': True,
                           'HasComposizionePatrimoniale': True,
                           'HasPrincipaliPaesi': True,
                           'HasPrincipaliTitoli': True,
                           'HasRPV': True,
                           'HasRatings': True,
                           'HasScadenza': True},
        'line': {'Categories': ['AMERICA',
                                "--- STATI UNITI D'AMERICA              ",
                                '--- ALTRI',
                                'ASIA',
                                '--- GIAPPONE                           ',
                                '--- ALTRI',
                                'EUROPA',
                                '--- GERMANIA                           ',
                                '--- SPAGNA                             ',
                                '--- FRANCIA                            ',
                                '--- ITALIA                             ',
                                '--- PAESI BASSI                        ',
                                '--- REGNO UNITO                        ',
                                '--- ALTRI',
                                'AMERICA',
                                "--- STATI UNITI D'AMERICA              ",
                                '--- ALTRI',
                                'ASIA',
                                '--- GIAPPONE                           ',
                                '--- ALTRI',
                                'EUROPA',
                                '--- GERMANIA                           ',
                                '--- SPAGNA                             ',
                                '--- FRANCIA                            ',
                                '--- ITALIA                             ',
                                '--- PAESI BASSI                        ',
                                '--- REGNO UNITO                        ',
                                '--- ALTRI'],
                 'Colonne': 3L,
                 'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                 'ID': u'ARE',
                 'IDTAB': u'ARE',
                 'Ordine': 2L,
                 'Precalcolata': True,
                 'Righe': 0L,
                 'SeriesData': [34.9928,
                                34.6386,
                                0.3542,
                                16.5765,
                                15.6941,
                                0.8824,
                                28.9741,
                                2.5601,
                                0.2523,
                                4.0002,
                                10.7476,
                                0.7498,
                                1.967,
                                8.6971],
                 'SottoTitolo': u'Dati in % calcolati sul Nav del fondo. ',
                 'Titolo': u'Aree Geografiche',
                 'TitoloBreve': u'Aree Geogr.'},
        'pie': {'Categories': ['AMERICA',
                               "--- STATI UNITI D'AMERICA              ",
                               '--- ALTRI',
                               'ASIA',
                               '--- GIAPPONE                           ',
                               '--- ALTRI',
                               'EUROPA',
                               '--- GERMANIA                           ',
                               '--- SPAGNA                             ',
                               '--- FRANCIA                            ',
                               '--- ITALIA                             ',
                               '--- PAESI BASSI                        ',
                               '--- REGNO UNITO                        ',
                               '--- ALTRI',
                               'AMERICA',
                               "--- STATI UNITI D'AMERICA              ",
                               '--- ALTRI',
                               'ASIA',
                               '--- GIAPPONE                           ',
                               '--- ALTRI',
                               'EUROPA',
                               '--- GERMANIA                           ',
                               '--- SPAGNA                             ',
                               '--- FRANCIA                            ',
                               '--- ITALIA                             ',
                               '--- PAESI BASSI                        ',
                               '--- REGNO UNITO                        ',
                               '--- ALTRI'],
                'Colonne': 3L,
                'DataAggiornamento': datetime.datetime(2013, 4, 23, 0, 0),
                'ID': u'ARE',
                'IDTAB': u'ARE',
                'Ordine': 2L,
                'Precalcolata': True,
                'Righe': 0L,
                'SeriesData': [['AMERICA', 34.9928],
                               ["--- STATI UNITI D'AMERICA              ", 34.6386],
                               ['--- ALTRI', 0.3542],
                               ['ASIA', 16.5765],
                               ['--- GIAPPONE                           ', 15.6941],
                               ['--- ALTRI', 0.8824],
                               ['EUROPA', 28.9741],
                               ['--- GERMANIA                           ', 2.5601],
                               ['--- SPAGNA                             ', 0.2523],
                               ['--- FRANCIA                            ', 4.0002],
                               ['--- ITALIA                             ', 10.7476],
                               ['--- PAESI BASSI                        ', 0.7498],
                               ['--- REGNO UNITO                        ', 1.967],
                               ['--- ALTRI', 8.6971]],
                'SottoTitolo': u'Dati in % calcolati sul Nav del fondo. ',
                'Titolo': u'Aree Geografiche',
                'TitoloBreve': u'Aree Geogr.'}
    }