#! -*- coding: utf-8 -*-
"""
helper module for acomea.soap
"""


def format_data(d):
    giorno, mese, anno = d.split('/')
    if len(mese) == 1:
        mese = "0%s" % mese
    if len(giorno) == 1:
        giorno = "0%s" % giorno
    anno = anno[0:4]
    return "%s-%s-%s" % (anno, mese, giorno)


def get_active_button_dict(soap_response):
    """
    check in soap response dictionary the presence of specific services for the current fund
    in order to hide or show links for that service
    :param soap_response: SOAP response dictionary
    :return: dictionary
    """
    dict = {
        'HasComposizionePatrimoniale': False,  # classi di attività
        'HasPrincipaliTitoli': False,  # titoli
        'HasRatings': False,  # rating
        'HasRPV': False,  # valute
        'HasPrincipaliPaesi': False,  # principali paesi
        'HasScadenza': False,  # scadenza
        'HasAreeGeografiche': False,  # aree geografiche
        'HasSettori': False,  # settori
    }
    for key in dict.keys():
        try:
            dict[key] = soap_response[key]
        except KeyError, e:
            pass

    return dict